cnf(interpolation1,axiom,
    ( ~ less_than_or_equal(X,q(Y,X))
    | less_than_or_equal(X,Y) )).

cnf(the_interval,hypothesis,
    ( less_than_or_equal(lower_bound,upper_bound) )).

cnf(reflexivity_of_less,axiom,
    ( less_than_or_equal(X,X) )).

cnf(totality_of_less,axiom,
    ( less_than_or_equal(X,Y)
    | less_than_or_equal(Y,X) )).

cnf(continuity2,axiom,
    ( ~ less_than_or_equal(f(Y),n0)
    | less_than_or_equal(Y,h(X))
    | ~ less_than_or_equal(lower_bound,X)
    | ~ less_than_or_equal(X,upper_bound)
    | ~ less_than_or_equal(Y,X)
    | less_than_or_equal(f(X),n0) )).

cnf(crossover2_and_g_function1,axiom,
    ( less_than_or_equal(g(X),upper_bound)
    | less_than_or_equal(l,X) )).

cnf(continuity3,axiom,
    ( ~ less_than_or_equal(X,upper_bound)
    | ~ less_than_or_equal(lower_bound,X)
    | ~ less_than_or_equal(k(X),X)
    | less_than_or_equal(n0,f(X)) )).

cnf(lower_mapping,hypothesis,
    ( less_than_or_equal(f(lower_bound),n0) )).

cnf(upper_mapping,hypothesis,
    ( less_than_or_equal(n0,f(upper_bound)) )).

cnf(continuity4,axiom,
    ( less_than_or_equal(k(X),Y)
    | ~ less_than_or_equal(lower_bound,X)
    | ~ less_than_or_equal(X,upper_bound)
    | ~ less_than_or_equal(n0,f(Y))
    | ~ less_than_or_equal(X,Y)
    | less_than_or_equal(n0,f(X)) )).

cnf(continuity1,axiom,
    ( less_than_or_equal(f(X),n0)
    | ~ less_than_or_equal(X,upper_bound)
    | ~ less_than_or_equal(lower_bound,X)
    | ~ less_than_or_equal(X,h(X)) )).

cnf(prove_there_is_x_which_crosses,negated_conjecture,
    ( ~ less_than_or_equal(n0,f(l))
    | ~ less_than_or_equal(f(l),n0) )).

cnf(crossover1,axiom,
    ( ~ less_than_or_equal(X,upper_bound)
    | ~ less_than_or_equal(f(X),n0)
    | less_than_or_equal(X,l) )).

cnf(interpolation2,axiom,
    ( less_than_or_equal(Y,X)
    | ~ less_than_or_equal(q(X,Y),X) )).

cnf(crossover3_and_g_function2,axiom,
    ( less_than_or_equal(l,X)
    | less_than_or_equal(f(g(X)),n0) )).

cnf(transitivity_of_less,axiom,
    ( less_than_or_equal(X,Z)
    | ~ less_than_or_equal(Y,Z)
    | ~ less_than_or_equal(X,Y) )).

cnf(crossover4_and_g_function3,axiom,
    ( ~ less_than_or_equal(g(X),X)
    | less_than_or_equal(l,X) )).

