fof(notbb,axiom,
    ( point_equal(b2,b1)
   => goal )).

fof(ia2c2,axiom,(
    incident(a2,a2c2) )).

fof(iac2,axiom,(
    incident(ac,a2c2) )).

fof(reflexivity_of_line_equal,axiom,(
    ! [A,B] :
      ( line_equal(B,B)
     <= incident(A,B) ) )).

fof(goal_to_be_proved,conjecture,(
    goal )).

fof(notac,axiom,
    ( goal
   <= line_equal(a1c1,a2c2) )).

fof(transitivity_of_line_equal,axiom,(
    ! [A,B,C] :
      ( ( line_equal(B,C)
        & line_equal(A,B) )
     => line_equal(A,C) ) )).

fof(gap_a,axiom,
    ( incident(a1,b2c2)
    | incident(b2,a1c1) )).

fof(ia1b1,axiom,(
    incident(a1,a1b1) )).

fof(triangle1,axiom,(
    ! [A] :
      ( ( incident(b1,A)
        & incident(c1,A)
        & incident(a1,A) )
     => goal ) )).

fof(ia2oa,axiom,(
    incident(a2,oa) )).

fof(notab,axiom,
    ( goal
   <= line_equal(a1b1,a2b2) )).

fof(symmetry_of_line_equal,axiom,(
    ! [A,B] :
      ( line_equal(A,B)
     => line_equal(B,A) ) )).

fof(ib2a2,axiom,(
    incident(b2,a2b2) )).

fof(ic1a1,axiom,(
    incident(c1,a1c1) )).

fof(ib2ob,axiom,(
    incident(b2,ob) )).

fof(transitivity_of_point_equal,axiom,(
    ! [A,B,C] :
      ( point_equal(A,C)
     <= ( point_equal(A,B)
        & point_equal(B,C) ) ) )).

fof(reflexivity_of_point_equal,axiom,(
    ! [A,B] :
      ( point_equal(A,A)
     <= incident(A,B) ) )).

fof(ioob,axiom,(
    incident(o,ob) )).

fof(ib1a1,axiom,(
    incident(b1,a1b1) )).

fof(iooa,axiom,(
    incident(o,oa) )).

fof(notaa,axiom,
    ( point_equal(a2,a1)
   => goal )).

fof(lcon,axiom,(
    ! [A,B,C] :
      ( ( incident(A,B)
        & line_equal(B,C) )
     => incident(A,C) ) )).

fof(iooc,axiom,(
    incident(o,oc) )).

fof(ibc2,axiom,(
    incident(bc,b2c2) )).

fof(gap_c,axiom,
    ( incident(a2,b1c1)
    | incident(c1,a2b2) )).

fof(ibc1,axiom,(
    incident(bc,b1c1) )).

fof(iac1,axiom,(
    incident(ac,a1c1) )).

fof(t1in2,axiom,
    ( goal
   <= ( incident(c1,a2b2)
      & incident(b1,a2c2)
      & incident(a1,b2c2) ) )).

fof(ib1ob,axiom,(
    incident(b1,ob) )).

fof(ia1oa,axiom,(
    incident(a1,oa) )).

fof(iab2,axiom,(
    incident(ab,a2b2) )).

fof(symmetry_of_point_equal,axiom,(
    ! [A,B] :
      ( point_equal(A,B)
     => point_equal(B,A) ) )).

fof(unique,axiom,(
    ! [A,B,C,D] :
      ( ( line_equal(C,D)
        | point_equal(A,B) )
     <= ( incident(B,D)
        & incident(B,C)
        & incident(A,D)
        & incident(A,C) ) ) )).

fof(ia1c1,axiom,(
    incident(a1,a1c1) )).

fof(pcon,axiom,(
    ! [A,B,C] :
      ( incident(A,C)
     <= ( incident(B,C)
        & point_equal(A,B) ) ) )).

fof(ic2oc,axiom,(
    incident(c2,oc) )).

fof(goal_normal,axiom,(
    ! [A] :
      ( goal
     <= ( incident(ac,A)
        & incident(ab,A)
        & incident(bc,A)
        & line_equal(A,A) ) ) )).

fof(ic2a2,axiom,(
    incident(c2,a2c2) )).

fof(ia2b2,axiom,(
    incident(a2,a2b2) )).

fof(ic2b2,axiom,(
    incident(c2,b2c2) )).

fof(ic1oc,axiom,(
    incident(c1,oc) )).

fof(ib1c1,axiom,(
    incident(b1,b1c1) )).

fof(ic1b1,axiom,(
    incident(c1,b1c1) )).

fof(gap_b,axiom,
    ( incident(b1,a2c2)
    | incident(c2,a1b1) )).

fof(iab1,axiom,(
    incident(ab,a1b1) )).

fof(notbc,axiom,
    ( goal
   <= line_equal(b1c1,b2c2) )).

fof(notcc,axiom,
    ( goal
   <= point_equal(c2,c1) )).

fof(triangle2,axiom,(
    ! [A] :
      ( ( incident(a2,A)
        & incident(b2,A)
        & incident(c2,A) )
     => goal ) )).

fof(ib2c2,axiom,(
    incident(b2,b2c2) )).

fof(t2in1,axiom,
    ( goal
   <= ( incident(b2,a1c1)
      & incident(c2,a1b1)
      & incident(a2,b1c1) ) )).

