fof(ib2s2,axiom,(
    incident(b2,s2) )).

fof(iss1,axiom,(
    incident(s,s1) )).

fof(ib1s1,axiom,(
    incident(b1,s1) )).

fof(unique,axiom,(
    ! [A,B,C,D] :
      ( ( B = A
        | C = D )
     <= ( incident(A,C)
        & incident(B,D)
        & incident(B,C)
        & incident(A,D) ) ) )).

fof(ip2a,axiom,(
    incident(p2,a3a1) )).

fof(sort_line,axiom,(
    ! [A,B] :
      ( line(B)
     <= incident(A,B) ) )).

fof(gap3,axiom,
    ( incident(a3,b1b2)
    | incident(b2,a3a1) )).

fof(ip3b,axiom,(
    incident(p3,b1b2) )).

fof(ia2a3,axiom,(
    incident(a2,a2a3) )).

fof(goal_to_be_proved,conjecture,(
    goal )).

fof(ib1b2,axiom,(
    incident(b1,b1b2) )).

fof(ia3a2,axiom,(
    incident(a3,a2a3) )).

fof(symmetry_of_equal,axiom,(
    ! [A,B] :
      ( B = A
     => A = B ) )).

fof(ib3s3,axiom,(
    incident(b3,s3) )).

fof(point_congruence,axiom,(
    ! [A,B,C] :
      ( ( B = A
        & incident(B,C) )
     => incident(A,C) ) )).

fof(line_congruence,axiom,(
    ! [A,B,C] :
      ( incident(A,C)
     <= ( B = C
        & incident(A,B) ) ) )).

fof(meet,axiom,(
    ! [A,B] :
      ( ( line(B)
        & line(A) )
     => ? [C] :
          ( incident(C,B)
          & incident(C,A) ) ) )).

fof(ip2b,axiom,(
    incident(p2,b3b1) )).

fof(ia1s1,axiom,(
    incident(a1,s1) )).

fof(ib2b1,axiom,(
    incident(b2,b1b2) )).

fof(ia3a1,axiom,(
    incident(a3,a3a1) )).

fof(not31,axiom,
    ( a3a1 = b3b1
   => goal )).

fof(diff_b1_b2,axiom,
    ( goal
   <= b2 = b1 )).

fof(ia1a2,axiom,(
    incident(a1,a1a2) )).

fof(transitivity_of_equal,axiom,(
    ! [A,B,C] :
      ( C = A
     <= ( A = B
        & B = C ) ) )).

fof(t_a_in_b,axiom,
    ( ( incident(a1,b2b3)
      & incident(a2,b3b1)
      & incident(a3,b1b2) )
   => goal )).

fof(ia1a3,axiom,(
    incident(a1,a3a1) )).

fof(diff_b2_b3,axiom,
    ( b3 = b2
   => goal )).

fof(ib3b2,axiom,(
    incident(b3,b2b3) )).

fof(not12,axiom,
    ( b1b2 = a1a2
   => goal )).

fof(diff_a2_a3,axiom,
    ( a3 = a2
   => goal )).

fof(reflexivity_of_equal,axiom,(
    ! [A] : A = A )).

fof(ia2a1,axiom,(
    incident(a2,a1a2) )).

fof(iss3,axiom,(
    incident(s,s3) )).

fof(goal_normal,axiom,(
    ! [A] :
      ( goal
     <= ( incident(p3,A)
        & incident(p2,A)
        & incident(p1,A) ) ) )).

fof(ip1a,axiom,(
    incident(p1,a2a3) )).

fof(not23,axiom,
    ( a2a3 = b2b3
   => goal )).

fof(gap1,axiom,
    ( incident(a1,b2b3)
    | incident(b3,a1a2) )).

fof(sort_point,axiom,(
    ! [A,B] :
      ( point(A)
     <= incident(A,B) ) )).

fof(ia3s3,axiom,(
    incident(a3,s3) )).

fof(ip1b,axiom,(
    incident(p1,b2b3) )).

fof(ia2s2,axiom,(
    incident(a2,s2) )).

fof(ib3b1,axiom,(
    incident(b3,b3b1) )).

fof(t_b_in_a,axiom,
    ( ( incident(b2,a3a1)
      & incident(b3,a1a2)
      & incident(b1,a2a3) )
   => goal )).

fof(diff_a1_a2,axiom,
    ( a1 = a2
   => goal )).

fof(iss2,axiom,(
    incident(s,s2) )).

fof(ip3a,axiom,(
    incident(p3,a1a2) )).

fof(join,axiom,(
    ! [A,B] :
      ( ( point(B)
        & point(A) )
     => ? [C] :
          ( incident(A,C)
          & incident(B,C) ) ) )).

fof(diff_b3_b1,axiom,
    ( goal
   <= b3 = b1 )).

fof(ib2b3,axiom,(
    incident(b2,b2b3) )).

fof(ib1b3,axiom,(
    incident(b1,b3b1) )).

fof(gap2,axiom,
    ( incident(a2,b3b1)
    | incident(b1,a2a3) )).

fof(diff_a3_a1,axiom,
    ( goal
   <= a1 = a3 )).

