fof(partition,axiom,(
    ! [A,B] :
      ( less_than(A,B)
     => ( green(A,B)
        | red(A,B) ) ) )).

fof(green_clique,axiom,(
    ! [A,B,C,D,E,F] :
      ( ( green(B,C)
        & green(A,D)
        & green(C,D)
        & green(B,E)
        & green(D,E)
        & green(A,F)
        & green(C,F)
        & green(D,F)
        & green(E,F)
        & green(B,F)
        & green(C,E)
        & green(A,E)
        & green(B,D)
        & green(A,C)
        & green(A,B) )
     => goal ) )).

fof(red_clique,axiom,(
    ! [A,B,C,D,E,F] :
      ( ( red(C,D)
        & red(A,E)
        & red(C,E)
        & red(D,E)
        & red(A,F)
        & red(B,F)
        & red(E,F)
        & red(D,F)
        & red(C,F)
        & red(B,E)
        & red(B,D)
        & red(A,D)
        & red(B,C)
        & red(A,C)
        & red(A,B) )
     => goal ) )).

fof(goal_to_be_proved,conjecture,(
    goal )).

fof(less_than_transitive,axiom,(
    ! [A,B,C] :
      ( ( less_than(B,C)
        & less_than(A,B) )
     => less_than(A,C) ) )).

fof(ordering,axiom,
    ( less_than(n1,n2)
    & less_than(n2,n3)
    & less_than(n3,n4)
    & less_than(n4,n5)
    & less_than(n5,n6)
    & less_than(n9,n10)
    & less_than(n14,n15)
    & less_than(n16,n17)
    & less_than(n19,n20)
    & less_than(n18,n19)
    & less_than(n17,n18)
    & less_than(n15,n16)
    & less_than(n13,n14)
    & less_than(n12,n13)
    & less_than(n11,n12)
    & less_than(n10,n11)
    & less_than(n8,n9)
    & less_than(n7,n8)
    & less_than(n6,n7) )).

fof(no_overlap,axiom,(
    ! [A,B] :
      ( goal
     <= ( red(A,B)
        & green(A,B) ) ) )).

