include('Axioms/HWC002-0.ax').
cnf(and_not_evaluation5,axiom,
    ( n0 = and(and(and(X1,X2),X3),not(X2)) )).

cnf(or_commutativity,negated_conjecture,
    ( or(or(X,Z),Y) = or(or(X,Y),Z) )).

cnf(karnaugh2,axiom,
    ( or(Y,not(X)) = or(and(not(X),not(Y)),Y) )).

cnf(or_not_evaluation1,axiom,
    ( or(X,not(X)) = n1 )).

cnf(demorgan1,axiom,
    ( not(and(X,Y)) = or(not(X),not(Y)) )).

cnf(or_symmetry,negated_conjecture,
    ( or(X,Y) = or(Y,X) )).

cnf(circuit1,negated_conjecture,
    ( not(and(a,b)) = a11 )).

cnf(the_output_circuit,negated_conjecture,
    ( circuit(s1,c1) )).

cnf(xor_definition,axiom,
    ( xor(X,Y) = or(and(X,not(Y)),and(Y,not(X))) )).

cnf(and_not_evaluation4,axiom,
    ( n0 = and(and(and(X1,X2),X3),not(X1)) )).

cnf(circuit3,negated_conjecture,
    ( not(and(a11,b)) = a13 )).

cnf(and_or_subsumption3,axiom,
    ( or(or(and(X,Y),Z),Y) = or(Z,Y) )).

cnf(karnaugh1,axiom,
    ( or(and(X,not(Y)),Y) = or(X,Y) )).

cnf(and_or_simplification,negated_conjecture,
    ( or(and(X,Z),and(Y,Z)) = and(or(X,Y),Z) )).

cnf(circuit4,negated_conjecture,
    ( a14 = not(and(a12,a13)) )).

cnf(or_not_evaluation3,axiom,
    ( n1 = or(or(X,Y),not(X)) )).

cnf(prove_circuit,negated_conjecture,
    ( ~ circuit(sum(a,b,carryin),carryout(a,b,carryin)) )).

cnf(circuit5,negated_conjecture,
    ( a15 = not(and(a14,carryin)) )).

cnf(karnaugh3,axiom,
    ( or(and(X,Y),and(X,Z)) = or(and(and(X,Y),not(Z)),and(X,Z)) )).

cnf(and_not_evaluation1,axiom,
    ( and(X,not(X)) = n0 )).

cnf(and_not_evaluation3,axiom,
    ( n0 = and(and(X,Y),not(X)) )).

cnf(circuit8,negated_conjecture,
    ( s1 = not(and(a16,a17)) )).

cnf(or_evaluation1,axiom,
    ( or(X,Y) = or(or(X,Y),Y) )).

cnf(not_involution,axiom,
    ( not(not(X)) = X )).

cnf(sum_definition,negated_conjecture,
    ( sum(X,Y,Z) = xor(xor(X,Y),Z) )).

cnf(or_not_evaluation2,axiom,
    ( or(or(X,Y),not(Y)) = n1 )).

cnf(circuit6,negated_conjecture,
    ( a16 = not(and(a14,a15)) )).

cnf(and_commutativity,negated_conjecture,
    ( and(and(X,Y),Z) = and(and(X,Z),Y) )).

cnf(circuit2,negated_conjecture,
    ( a12 = not(and(a11,a)) )).

cnf(circuit9,negated_conjecture,
    ( not(and(a11,a15)) = c1 )).

cnf(and_or_subsumption4,axiom,
    ( or(X,Z) = or(or(X,and(Y,Z)),Z) )).

cnf(and_evaluation1,axiom,
    ( and(X,Y) = and(and(X,Y),Y) )).

cnf(and_or_subsumption1,axiom,
    ( Y = or(and(X,Y),Y) )).

cnf(and_not_evaluation2,axiom,
    ( n0 = and(and(X,Y),not(Y)) )).

cnf(demorgan2,axiom,
    ( and(not(X),not(Y)) = not(or(X,Y)) )).

cnf(and_idempotency,axiom,
    ( X = and(X,X) )).

cnf(or_idempotency,axiom,
    ( X = or(X,X) )).

cnf(carryout_definition,negated_conjecture,
    ( carryout(X,Y,Z) = or(and(X,or(Y,Z)),and(not(X),and(Y,Z))) )).

cnf(circuit7,negated_conjecture,
    ( not(and(a15,carryin)) = a17 )).

cnf(and_or_subsumption2,axiom,
    ( X = or(and(X,Y),X) )).

cnf(and_symmetry,negated_conjecture,
    ( and(X,Y) = and(Y,X) )).

