%------------------------------------------------------------------------------
% File     : LCL713^1 : TPTP v4.0.0. Released v4.0.0.
% Domain   : Logic Calculi (Quantified multimodal logic)
% Problem  : Axiom implies accessibility relation for Euclidianity
% Version  : [Ben09] axioms.
% English  :

% Refs     : [Gol92] Goldblatt (1992), Logics of Time and Computation
%          : [Ben09] Benzmueller (2009), Email to Geoff Sutcliffe
% Source   : [Ben09]
% Names    : ex29_19.p [Ben09]

% Status   : Theorem
% Rating   : 0.67 v4.0.0
% Syntax   : Number of formulae    :   64 (   1 unit;  32 type;  31 defn)
%            Number of atoms       :  524 (  36 equality; 136 variable)
%            Maximal formula depth :   11 (   6 average)
%            Number of connectives :  135 (   4   ~;   4   |;   8   &; 110   @)
%                                         (   0 <=>;   9  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :  171 ( 171   >;   0   *;   0   +)
%            Number of symbols     :   38 (  32   :;   0  :=)
%            Number of variables   :   86 (   3 sgn;  30   !;   6   ?;  50   ^)
%                                         (  86   :;   0  :=;   0  !>;   0  ?*)

% Comments : THF0 syntax
%------------------------------------------------------------------------------
%----Include embedding of quantified multimodal logic in simple type theory
include('Axioms/LCL013^0.ax').
%------------------------------------------------------------------------------
thf(conj,conjecture,(
    ! [R: $i > $i > $o] :
      ( ( mvalid
        @ ( mforall_prop
          @ ^ [A: $i > $o] :
              ( mimplies @ ( mdia @ R @ A ) @ ( mbox @ R @ ( mdia @ R @ A ) ) ) ) )
     => ( meuclidean @ R ) ) )).

%------------------------------------------------------------------------------
