%------------------------------------------------------------------------------
% File     : LCL725^1 : TPTP v4.0.0. Released v4.0.0.
% Domain   : Logic Calculi (Modal logic)
% Problem  : Axioms M, 4, and B hold in monomodal logic S5
% Version  : [Ben09] axioms.
% English  :

% Refs     : [Ben09] Benzmueller (2009), Email to Geoff Sutcliffe
% Source   : [Ben09]
% Names    : ML_S5_ex1.p [Ben09]

% Status   : Theorem
% Rating   : 0.33 v4.0.0
% Syntax   : Number of formulae    :   73 (   1 unit;  36 type;  33 defn)
%            Number of atoms       :  562 (  38 equality; 135 variable)
%            Maximal formula depth :   11 (   6 average)
%            Number of connectives :  151 (   5   ~;   5   |;  10   &; 123   @)
%                                         (   0 <=>;   8  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :  179 ( 179   >;   0   *;   0   +)
%            Number of symbols     :   42 (  36   :;   0  :=)
%            Number of variables   :   88 (   3 sgn;  30   !;   6   ?;  52   ^)
%                                         (  88   :;   0  :=;   0  !>;   0  ?*)

% Comments : THF0 syntax
%------------------------------------------------------------------------------
include('Axioms/LCL013^0.ax').
include('Axioms/LCL013^6.ax').
%------------------------------------------------------------------------------
thf(phi,type,(
    phi: $i > $o )).

thf(conj,conjecture,
    ( ( mvalid @ ( mimplies @ ( mbox_s5 @ phi ) @ phi ) )
    & ( mvalid @ ( mimplies @ ( mbox_s5 @ phi ) @ ( mbox_s5 @ ( mbox_s5 @ phi ) ) ) )
    & ( mvalid @ ( mimplies @ phi @ ( mbox_s5 @ ( mdia_s5 @ phi ) ) ) ) )).

%------------------------------------------------------------------------------
