%------------------------------------------------------------------------------
% File     : LCL740^5 : TPTP v4.0.0. Released v4.0.0.
% Domain   : Logical Calculi
% Problem  : TPS problem from AC-THMS
% Version  : Especial.
% English  : Related to the axiom of choice.

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0942 [Bro09]

% Status   : Theorem
% Rating   : 0.67 v4.0.0
% Syntax   : Number of formulae    :    2 (   1 unit;   1 type;   0 defn)
%            Number of atoms       :   50 (   0 equality;  23 variable)
%            Maximal formula depth :   13 (   8 average)
%            Number of connectives :   23 (   1   ~;   3   |;   0   &;  17   @)
%                                         (   0 <=>;   2  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :   15 (  15   >;   0   *;   0   +)
%            Number of symbols     :    3 (   1   :;   0  :=)
%            Number of variables   :   11 (   0 sgn;   7   !;   4   ?;   0   ^)
%                                         (  11   :;   0  :=;   0  !>;   0  ?*)

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%------------------------------------------------------------------------------
thf(b_type,type,(
    b: $tType )).

thf(cX5310_SUB_R,conjecture,
    ( ! [Xr_12: ( b > $o ) > b > b > $o,Xr_13: ( b > $o ) > b > b > $o] :
        ( ? [Xf: ( b > $o ) > b] :
          ! [Xx: b > $o,Xw_4: b] :
            ( ( Xr_12 @ Xx @ ( Xf @ Xx ) @ Xw_4 )
            | ( Xr_13 @ Xx @ ( Xf @ Xx ) @ Xw_4 ) )
        | ~ ( ! [Xx: b > $o] :
              ? [Xy: b] :
              ! [Xw_4: b] :
                ( ( Xr_12 @ Xx @ Xy @ Xw_4 )
                | ( Xr_13 @ Xx @ Xy @ Xw_4 ) ) ) )
   => ? [Xj: ( b > $o ) > b] :
      ! [Xp: b > $o] :
        ( ? [Xz: b] :
            ( Xp @ Xz )
       => ( Xp @ ( Xj @ Xp ) ) ) )).

%------------------------------------------------------------------------------
