fof(mp2_favour_members,axiom,(
    ! [E,S1,S2,T] :
      ( selection_favors(S1,S2,T)
     <= ( environment(E)
        & zero = cardinality_at_time(S2,T)
        & greater(cardinality_at_time(S1,T),zero)
        & subpopulation(S2,E,T)
        & subpopulation(S1,E,T) ) ) )).

fof(a3,hypothesis,(
    ! [E] :
      ( greater(appear(efficient_producers,e),appear(first_movers,E))
     <= environment(E) ) )).

fof(mp_greater_transitivity,axiom,(
    ! [X,Y,Z] :
      ( greater(X,Z)
     <= ( greater(Y,Z)
        & greater(X,Y) ) ) )).

fof(mp_number_mean_non_empty,axiom,(
    ! [E,T] :
      ( ? [S] :
          ( subpopulation(S,E,T)
          & greater(cardinality_at_time(S,T),zero) )
     <= ( greater(number_of_organizations(E,T),zero)
        & environment(E) ) ) )).

fof(mp_not_present_before_appearance,axiom,(
    ! [E,X,T] :
      ( ( environment(E)
        & in_environment(E,T)
        & greater(appear(X,E),T) )
     => cardinality_at_time(X,T) = zero ) )).

fof(mp_FM_means_organisations,axiom,(
    ! [E] :
      ( ( in_environment(E,appear(first_movers,E))
        & environment(E) )
     => in_environment(E,appear(an_organisation,E)) ) )).

fof(mp_positive_number_when_appear,axiom,(
    ! [E] :
      ( environment(E)
     => greater(number_of_organizations(e,appear(an_organisation,E)),zero) ) )).

fof(prove_t2,conjecture,(
    ! [E,T] :
      ( selection_favors(first_movers,efficient_producers,T)
     <= ( in_environment(E,T)
        & greater(appear(efficient_producers,E),T)
        & greater_or_equal(T,appear(first_movers,E))
        & environment(E) ) ) )).

fof(mp_durations_are_time_intervals,axiom,(
    ! [E,T1,T2,T] :
      ( in_environment(E,T)
     <= ( environment(E)
        & in_environment(E,T2)
        & greater_or_equal(T,T1)
        & greater_or_equal(T2,T)
        & in_environment(E,T1) ) ) )).

fof(mp_FM_not_precede_first,axiom,(
    ! [E] :
      ( environment(E)
     => greater_or_equal(appear(first_movers,E),appear(an_organisation,E)) ) )).

fof(mp_subpopulations,axiom,(
    ! [E,T] :
      ( ( subpopulation(first_movers,E,T)
        & subpopulation(efficient_producers,E,T) )
     <= ( environment(E)
        & in_environment(E,T) ) ) )).

fof(mp_no_FM_before_opening,axiom,(
    ! [E] :
      ( greater_or_equal(appear(first_movers,E),start_time(E))
     <= environment(E) ) )).

fof(mp_positive_and_sustains,axiom,(
    ! [E,T] :
      ( in_environment(E,T)
     <= ( environment(E)
        & greater(number_of_organizations(E,T),zero) ) ) )).

fof(mp_opening_time_in_duration,axiom,(
    ! [E] :
      ( in_environment(E,start_time(E))
     <= environment(E) ) )).

fof(a1,hypothesis,(
    ! [E,T] :
      ( greater(number_of_organizations(E,T),zero)
     <= ( greater_or_equal(T,appear(an_organisation,E))
        & in_environment(E,T)
        & environment(E) ) ) )).

fof(mp_greater_or_equal,axiom,(
    ! [X,Y] :
      ( ( Y = X
        | greater(X,Y) )
    <=> greater_or_equal(X,Y) ) )).

fof(mp_zero_is_not_positive,axiom,(
    ! [X,T] :
      ( cardinality_at_time(X,t) = zero
     => ~ greater(cardinality_at_time(X,T),zero) ) )).

fof(a11,hypothesis,(
    ! [E,X,T] :
      ( ( environment(E)
        & subpopulation(X,E,T)
        & greater(cardinality_at_time(X,T),zero) )
     => ( first_movers = X
        | X = efficient_producers ) ) )).

