cnf(a_times_c_squared_is_not_b_squared,hypothesis,
    ( ~ product(a,e,d) )).

cnf(product_associativity2,axiom,
    ( ~ product(F,D,A)
    | product(F,E,C)
    | ~ product(D,B,E)
    | ~ product(A,B,C) )).

cnf(product_substitution2,axiom,
    ( ~ equalish(D,B)
    | ~ product(C,D,A)
    | product(C,B,A) )).

cnf(b_squared,hypothesis,
    ( product(b,b,d) )).

cnf(prove_there_is_no_common_divisor,negated_conjecture,
    ( ~ divides(A,b)
    | ~ divides(A,c) )).

cnf(transitivity_of_divides,axiom,
    ( ~ divides(C,A)
    | divides(C,B)
    | ~ divides(A,B) )).

cnf(primes_lemma1,axiom,
    ( ~ divides(A,B)
    | ~ product(C,C,B)
    | ~ prime(A)
    | divides(A,C) )).

cnf(divides_implies_product,axiom,
    ( ~ divides(A,B)
    | product(A,second_divided_by_1st(A,B),B) )).

cnf(reflexivity,axiom,
    ( equalish(X,X) )).

cnf(prime_substitution,axiom,
    ( ~ equalish(A,B)
    | prime(B)
    | ~ prime(A) )).

cnf(a_is_prime,hypothesis,
    ( prime(a) )).

cnf(divides_substitution1,axiom,
    ( divides(C,A)
    | ~ divides(C,B)
    | ~ equalish(B,A) )).

cnf(product_associativity1,axiom,
    ( ~ product(D,E,B)
    | ~ product(A,D,F)
    | product(F,E,C)
    | ~ product(A,B,C) )).

cnf(product_substitution3,axiom,
    ( ~ equalish(C,B)
    | product(B,D,A)
    | ~ product(C,D,A) )).

cnf(product_left_cancellation,axiom,
    ( ~ product(A,B,C)
    | equalish(B,D)
    | ~ product(A,D,C) )).

cnf(transitivity,axiom,
    ( ~ equalish(X,Y)
    | ~ equalish(Y,Z)
    | equalish(X,Z) )).

cnf(product_commutativity,axiom,
    ( ~ product(A,B,C)
    | product(B,A,C) )).

cnf(divides_substitution2,axiom,
    ( ~ equalish(A,B)
    | ~ divides(A,C)
    | divides(B,C) )).

cnf(well_defined_product,axiom,
    ( ~ product(A,B,C)
    | equalish(D,C)
    | ~ product(A,B,D) )).

cnf(product_substitution1,axiom,
    ( product(C,A,B)
    | ~ product(C,A,D)
    | ~ equalish(D,B) )).

cnf(c_squared,hypothesis,
    ( product(c,c,e) )).

cnf(symmetry,axiom,
    ( equalish(Y,X)
    | ~ equalish(X,Y) )).

cnf(closure_of_product,axiom,
    ( product(A,B,multiply(A,B)) )).

cnf(product_divisible_by_operand,axiom,
    ( divides(A,C)
    | ~ product(A,B,C) )).

