%------------------------------------------------------------------------------
% File     : PUZ114^5 : TPTP v4.0.0. Released v4.0.0.
% Domain   : Puzzles
% Problem  : TPS problem from CHECKERBOARD-THMS
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0705 [Bro09]

% Status   : Theorem
% Rating   : 0.33 v4.0.0
% Syntax   : Number of formulae    :    4 (   1 unit;   2 type;   1 defn)
%            Number of atoms       :   43 (   1 equality;  17 variable)
%            Maximal formula depth :   15 (   7 average)
%            Number of connectives :   27 (   0   ~;   0   |;   2   &;  22   @)
%                                         (   0 <=>;   3  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :    3 (   3   >;   0   *;   0   +)
%            Number of symbols     :    5 (   2   :;   0  :=)
%            Number of variables   :    7 (   0 sgn;   5   !;   0   ?;   2   ^)
%                                         (   7   :;   0  :=;   0  !>;   0  ?*)

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%------------------------------------------------------------------------------
thf(s,type,(
    s: $i > $i )).

thf(c1,type,(
    c1: $i )).

thf(cCKB6_BLACK,definition,
    ( cCKB6_BLACK
    = ( ^ [Xu: $i,Xv: $i] :
        ! [Xw: $i > $i > $o] :
          ( ( ( Xw @ c1 @ c1 )
            & ! [Xj: $i,Xk: $i] :
                ( ( Xw @ Xj @ Xk )
               => ( ( Xw @ ( s @ ( s @ Xj ) ) @ Xk )
                  & ( Xw @ ( s @ Xj ) @ ( s @ Xk ) ) ) ) )
         => ( Xw @ Xu @ Xv ) ) ) )).

thf(cCKB6_L10000,conjecture,(
    ! [Xj: $i,Xk: $i] :
      ( ( cCKB6_BLACK @ Xj @ Xk )
     => ( cCKB6_BLACK @ ( s @ ( s @ ( s @ Xj ) ) ) @ ( s @ Xk ) ) ) )).

%------------------------------------------------------------------------------
