cnf(addition_is_well_defined,axiom,
    ( ~ sum(X,Y,U)
    | ~ sum(X,Y,V)
    | equalish(U,V) )).

cnf(transitivity,axiom,
    ( ~ equalish(X,Y)
    | equalish(X,Z)
    | ~ equalish(Y,Z) )).

cnf(a_inverse_times_b_inverse,hypothesis,
    ( product(additive_inverse(a),additive_inverse(b),d) )).

cnf(distributivity2,axiom,
    ( ~ sum(Y,Z,V3)
    | product(X,V3,V4)
    | ~ sum(V1,V2,V4)
    | ~ product(X,Z,V2)
    | ~ product(X,Y,V1) )).

cnf(additive_identity2,axiom,
    ( sum(X,additive_identity,X) )).

cnf(commutativity_of_addition,axiom,
    ( sum(Y,X,Z)
    | ~ sum(X,Y,Z) )).

cnf(symmetry,axiom,
    ( ~ equalish(X,Y)
    | equalish(Y,X) )).

cnf(associativity_of_multiplication2,axiom,
    ( ~ product(X,V,W)
    | product(U,Z,W)
    | ~ product(Y,Z,V)
    | ~ product(X,Y,U) )).

cnf(a_times_b,hypothesis,
    ( product(a,b,c) )).

cnf(reflexivity,axiom,
    ( equalish(X,X) )).

cnf(associativity_of_addition2,axiom,
    ( ~ sum(X,Y,U)
    | ~ sum(X,V,W)
    | sum(U,Z,W)
    | ~ sum(Y,Z,V) )).

cnf(sum_substitution2,axiom,
    ( ~ sum(W,X,Z)
    | sum(W,Y,Z)
    | ~ equalish(X,Y) )).

cnf(multiplicative_identity1,axiom,
    ( product(additive_identity,X,additive_identity) )).

cnf(additive_identity1,axiom,
    ( sum(additive_identity,X,X) )).

cnf(associativity_of_addition1,axiom,
    ( ~ sum(X,Y,U)
    | ~ sum(Y,Z,V)
    | ~ sum(U,Z,W)
    | sum(X,V,W) )).

cnf(sum_substitution3,axiom,
    ( ~ equalish(X,Y)
    | sum(W,Z,Y)
    | ~ sum(W,Z,X) )).

cnf(additive_inverse_substitution,axiom,
    ( equalish(additive_inverse(X),additive_inverse(Y))
    | ~ equalish(X,Y) )).

cnf(product_substitution2,axiom,
    ( ~ equalish(X,Y)
    | product(W,Y,Z)
    | ~ product(W,X,Z) )).

cnf(associativity_of_multiplication1,axiom,
    ( ~ product(Y,Z,V)
    | ~ product(U,Z,W)
    | product(X,V,W)
    | ~ product(X,Y,U) )).

cnf(prove_c_equals_d,negated_conjecture,
    ( ~ equalish(c,d) )).

cnf(distributivity1,axiom,
    ( ~ product(X,Y,V1)
    | ~ product(X,Z,V2)
    | ~ sum(Y,Z,V3)
    | sum(V1,V2,V4)
    | ~ product(X,V3,V4) )).

cnf(right_inverse,axiom,
    ( sum(X,additive_inverse(X),additive_identity) )).

cnf(multiplicative_identity2,axiom,
    ( product(X,additive_identity,additive_identity) )).

cnf(product_substitution1,axiom,
    ( product(Y,W,Z)
    | ~ product(X,W,Z)
    | ~ equalish(X,Y) )).

cnf(distributivity4,axiom,
    ( ~ product(Z,X,V2)
    | ~ sum(Y,Z,V3)
    | ~ sum(V1,V2,V4)
    | product(V3,X,V4)
    | ~ product(Y,X,V1) )).

cnf(closure_of_addition,axiom,
    ( sum(X,Y,add(X,Y)) )).

cnf(add_substitution1,axiom,
    ( ~ equalish(X,Y)
    | equalish(add(X,W),add(Y,W)) )).

cnf(product_substitution3,axiom,
    ( ~ equalish(X,Y)
    | ~ product(W,Z,X)
    | product(W,Z,Y) )).

cnf(sum_substitution1,axiom,
    ( ~ sum(X,W,Z)
    | sum(Y,W,Z)
    | ~ equalish(X,Y) )).

cnf(closure_of_multiplication,axiom,
    ( product(X,Y,multiply(X,Y)) )).

cnf(multiplication_is_well_defined,axiom,
    ( ~ product(X,Y,U)
    | ~ product(X,Y,V)
    | equalish(U,V) )).

cnf(left_inverse,axiom,
    ( sum(additive_inverse(X),X,additive_identity) )).

cnf(multiply_substitution1,axiom,
    ( ~ equalish(X,Y)
    | equalish(multiply(X,W),multiply(Y,W)) )).

cnf(distributivity3,axiom,
    ( ~ product(Y,X,V1)
    | ~ product(Z,X,V2)
    | sum(V1,V2,V4)
    | ~ product(V3,X,V4)
    | ~ sum(Y,Z,V3) )).

