include('Axioms/SET003-0.ax').
cnf(function_values_are_small,axiom,
    ( little_set(apply(Y,X))
    | ~ function(Y) )).

cnf(property_of_singleton_sets,axiom,
    ( ~ little_set(X)
    | member(X,singleton_set(X)) )).

cnf(property_of_first,axiom,
    ( ~ little_set(X)
    | X = first(ordered_pair(X,Y))
    | ~ little_set(Y) )).

cnf(second_component_is_small,axiom,
    ( little_set(second(X))
    | ~ ordered_pair_predicate(X) )).

cnf(image_and_apply2,axiom,
    ( subset(image(singleton_set(Y),Xf),apply(Xf,Y)) )).

cnf(composition_is_a_relation,axiom,
    ( relation(compose(Y,X)) )).

cnf(another_mapping,hypothesis,
    ( maps(function2,c,d) )).

cnf(first_components_are_equal,axiom,
    ( U = X
    | ordered_pair(U,V) != ordered_pair(X,Y)
    | ~ little_set(U)
    | ~ little_set(X) )).

cnf(one_mapping,hypothesis,
    ( maps(function1,a,b) )).

cnf(second_components_are_equal,axiom,
    ( ~ little_set(X)
    | ~ little_set(Y)
    | ~ little_set(V)
    | ordered_pair(X,Y) != ordered_pair(U,V)
    | V = Y
    | ~ little_set(U) )).

cnf(two_sets_equal,axiom,
    ( ~ subset(X,Y)
    | ~ subset(Y,X)
    | X = Y )).

cnf(first_component_is_small,axiom,
    ( ~ ordered_pair_predicate(X)
    | little_set(first(X)) )).

cnf(range_of_composition,axiom,
    ( subset(range_of(compose(Y,X)),range_of(Y)) )).

cnf(composition_is_a_function,axiom,
    ( ~ function(X)
    | ~ function(Y)
    | function(compose(Y,X)) )).

cnf(image_and_apply1,axiom,
    ( subset(apply(Xf,Y),sigma(image(singleton_set(Y),Xf))) )).

cnf(property_of_second,axiom,
    ( ~ little_set(X)
    | Y = second(ordered_pair(X,Y))
    | ~ little_set(Y) )).

cnf(prove_maps_for_composition,negated_conjecture,
    ( ~ maps(compose(function2,function1),a,d) )).

cnf(domain_of_composition,axiom,
    ( domain_of(compose(Y,X)) = domain_of(X)
    | ~ subset(range_of(X),domain_of(Y)) )).

cnf(left_cancellation,axiom,
    ( ~ little_set(Y)
    | non_ordered_pair(Z,X) != non_ordered_pair(Z,Y)
    | X = Y
    | ~ little_set(X) )).

cnf(ordered_pairs_are_small2,axiom,
    ( ~ ordered_pair_predicate(X)
    | little_set(X) )).

cnf(ordered_pairs_are_small1,axiom,
    ( little_set(ordered_pair(X,Y)) )).

cnf(containment_is_transitive,axiom,
    ( ~ subset(Y,Z)
    | subset(X,Z)
    | ~ subset(X,Y) )).

