%------------------------------------------------------------------------------
% File     : SET716^4 : TPTP v4.0.0. Released v3.6.0.
% Domain   : Set Theory
% Problem  : The composition of injective mappings is injective
% Version  : [BS+08] axioms.
% English  :

% Refs     : [BS+05] Benzmueller et al. (2005), Can a Higher-Order and a Fi
%          : [BS+08] Benzmueller et al. (2008), Combined Reasoning by Autom
%          : [Ben08] Benzmueller (2008), Email to Geoff Sutcliffe
% Source   : [Ben08]
% Names    :

% Status   : Theorem
% Rating   : 0.33 v4.0.0, 0.00 v3.7.0
% Syntax   : Number of formulae    :   17 (   0 unit;   8 type;   8 defn)
%            Number of atoms       :  155 (  13 equality;  44 variable)
%            Maximal formula depth :   10 (   7 average)
%            Number of connectives :   36 (   0   ~;   0   |;   4   &;  28   @)
%                                         (   0 <=>;   4  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :   48 (  48   >;   0   *;   0   +)
%            Number of symbols     :   10 (   8   :;   0  :=)
%            Number of variables   :   28 (   0 sgn;   9   !;   3   ?;  16   ^)
%                                         (  28   :;   0  :=;   0  !>;   0  ?*)

% Comments :
%------------------------------------------------------------------------------
%----Include definitions for functions
include('Axioms/SET008^1.ax').
%------------------------------------------------------------------------------
thf(thm,conjecture,(
    ! [F: $i > $i,G: $i > $i] :
      ( ( ( fun_injective @ F )
        & ( fun_injective @ G ) )
     => ( fun_injective @ ( fun_composition @ F @ G ) ) ) )).

%------------------------------------------------------------------------------
