%------------------------------------------------------------------------------
% File     : SEU961^5 : TPTP v4.0.0. Released v4.0.0.
% Domain   : Set Theory (Functions)
% Problem  : TPS problem from FUNCTION-THMS
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_1020 [Bro09]

% Status   : Theorem
% Rating   : 0.67 v4.0.0
% Syntax   : Number of formulae    :    1 (   0 unit;   0 type;   0 defn)
%            Number of atoms       :   57 (   3 equality;  30 variable)
%            Maximal formula depth :   14 (  14 average)
%            Number of connectives :   26 (   0   ~;   0   |;   3   &;  16   @)
%                                         (   0 <=>;   7  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :   10 (  10   >;   0   *;   0   +)
%            Number of symbols     :    2 (   0   :;   0  :=)
%            Number of variables   :   14 (   0 sgn;  11   !;   0   ?;   3   ^)
%                                         (  14   :;   0  :=;   0  !>;   0  ?*)

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%------------------------------------------------------------------------------
thf(cTHM196C_pme,conjecture,
    ( ( ! [Xa: $i,Xb: $i] : ( Xa = Xb )
      & ! [Xf: $i > $i,Xg: $i > $i] :
          ( ! [Xx: $i] :
              ( ( Xf @ Xx )
              = ( Xg @ Xx ) )
         => ( Xf = Xg ) ) )
   => ! [Xj: $i > $i,Xk: $i > $i] :
        ( ! [Xp: ( $i > $i ) > $o] :
            ( ( ( Xp @ Xj )
              & ! [Xj_0: $i > $i] :
                  ( ( Xp @ Xj_0 )
                 => ( Xp
                    @ ^ [Xx: $i] :
                        ( Xj @ ( Xj_0 @ Xx ) ) ) ) )
           => ( Xp
              @ ^ [Xx: $i] :
                  ( Xk @ ( Xj @ Xx ) ) ) )
       => ! [Xp: ( $i > $i ) > $o] :
            ( ( ( Xp @ Xj )
              & ! [Xj_1: $i > $i] :
                  ( ( Xp @ Xj_1 )
                 => ( Xp
                    @ ^ [Xx: $i] :
                        ( Xj @ ( Xj_1 @ Xx ) ) ) ) )
           => ( Xp @ Xk ) ) ) )).

%------------------------------------------------------------------------------
