%------------------------------------------------------------------------------
% File     : SEV169^5 : TPTP v4.0.0. Released v4.0.0.
% Domain   : Set Theory
% Problem  : TPS problem from PAIRS-THMS
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_1021 [Bro09]

% Status   : Theorem
% Rating   : 0.33 v4.0.0
% Syntax   : Number of formulae    :    2 (   1 unit;   1 type;   0 defn)
%            Number of atoms       :   58 (   5 equality;  22 variable)
%            Maximal formula depth :   13 (   8 average)
%            Number of connectives :   16 (   0   ~;   0   |;   3   &;  12   @)
%                                         (   0 <=>;   1  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :   10 (  10   >;   0   *;   0   +)
%            Number of symbols     :    2 (   1   :;   0  :=)
%            Number of variables   :   20 (   8 sgn;   2   !;   0   ?;  18   ^)
%                                         (  20   :;   0  :=;   0  !>;   0  ?*)

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%------------------------------------------------------------------------------
thf(a_type,type,(
    a: $tType )).

thf(cTHM188_pme,conjecture,(
    ! [Xp: ( a > a > a ) > a,Xq: ( a > a > a ) > a] :
      ( ( ( Xp
          = ( ^ [Xg: a > a > a] :
                ( Xg
                @ ( Xp
                  @ ^ [Xx: a,Xy: a] : Xx )
                @ ( Xp
                  @ ^ [Xx: a,Xy: a] : Xy ) ) ) )
        & ( Xq
          = ( ^ [Xg: a > a > a] :
                ( Xg
                @ ( Xq
                  @ ^ [Xx: a,Xy: a] : Xx )
                @ ( Xq
                  @ ^ [Xx: a,Xy: a] : Xy ) ) ) )
        & ( ( Xp
            @ ^ [Xx: a,Xy: a] : Xx )
          = ( Xq
            @ ^ [Xx: a,Xy: a] : Xx ) )
        & ( ( Xp
            @ ^ [Xx: a,Xy: a] : Xy )
          = ( Xq
            @ ^ [Xx: a,Xy: a] : Xy ) ) )
     => ( Xp = Xq ) ) )).

%------------------------------------------------------------------------------
