%------------------------------------------------------------------------------
% File     : SEV254^5 : TPTP v4.0.0. Released v4.0.0.
% Domain   : Set Theory (Sets of sets)
% Problem  : TPS problem from SETS-OF-SETS-THMS
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_1170 [Bro09]

% Status   : Theorem
% Rating   : 0.67 v4.0.0
% Syntax   : Number of formulae    :    1 (   0 unit;   0 type;   0 defn)
%            Number of atoms       :  112 (   0 equality;  72 variable)
%            Maximal formula depth :   17 (  17 average)
%            Number of connectives :   71 (   0   ~;   0   |;   9   &;  46   @)
%                                         (   1 <=>;  15  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :   12 (  12   >;   0   *;   0   +)
%            Number of symbols     :    2 (   0   :;   0  :=)
%            Number of variables   :   28 (   0 sgn;  15   !;   8   ?;   5   ^)
%                                         (  28   :;   0  :=;   0  !>;   0  ?*)

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%------------------------------------------------------------------------------
thf(cTHM2C_pme,conjecture,(
    ! [K: ( $i > $o ) > $i > $o] :
      ( ( ! [Xx: $i > $o] :
            ( ! [Xx0: $i] :
                ( ( Xx @ Xx0 )
               => ? [S: $i > $o] :
                    ( ! [Xx1: $i] :
                        ( ( S @ Xx1 )
                       => ( K @ S @ Xx1 ) )
                    & ( S @ Xx0 ) ) )
           => ! [Xx0: $i] :
                ( ( K @ Xx @ Xx0 )
               => ( K
                  @ ^ [Xx1: $i] :
                    ? [S: $i > $o] :
                      ( ! [Xx2: $i] :
                          ( ( S @ Xx2 )
                         => ( K @ S @ Xx2 ) )
                      & ( S @ Xx1 ) )
                  @ Xx0 ) ) )
        & ( ! [Xx: $i] :
              ( ? [S: $i > $o] :
                  ( ! [Xx0: $i] :
                      ( ( S @ Xx0 )
                     => ( K @ S @ Xx0 ) )
                  & ( S @ Xx ) )
             => ( K
                @ ^ [Xx0: $i] :
                  ? [S: $i > $o] :
                    ( ! [Xx1: $i] :
                        ( ( S @ Xx1 )
                       => ( K @ S @ Xx1 ) )
                    & ( S @ Xx0 ) )
                @ Xx ) )
         => ! [Xx: $i] :
              ( ( K
                @ ^ [Xx0: $i] :
                  ? [S: $i > $o] :
                    ( ! [Xx1: $i] :
                        ( ( S @ Xx1 )
                       => ( K @ S @ Xx1 ) )
                    & ( S @ Xx0 ) )
                @ Xx )
             => ( K
                @ ( K
                  @ ^ [Xx0: $i] :
                    ? [S: $i > $o] :
                      ( ! [Xx1: $i] :
                          ( ( S @ Xx1 )
                         => ( K @ S @ Xx1 ) )
                      & ( S @ Xx0 ) ) )
                @ Xx ) ) ) )
     => ! [Xx: $i] :
          ( ( K
            @ ^ [Xx0: $i] :
              ? [S: $i > $o] :
                ( ! [Xx1: $i] :
                    ( ( S @ Xx1 )
                   => ( K @ S @ Xx1 ) )
                & ( S @ Xx0 ) )
            @ Xx )
        <=> ? [S: $i > $o] :
              ( ! [Xx0: $i] :
                  ( ( S @ Xx0 )
                 => ( K @ S @ Xx0 ) )
              & ( S @ Xx ) ) ) ) )).

%------------------------------------------------------------------------------
