%------------------------------------------------------------------------------
% File     : SEV410^5 : TPTP v4.0.0. Released v4.0.0.
% Domain   : Set Theory
% Problem  : TPS problem from SETS-THMS
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0790 [Bro09]

% Status   : Theorem
% Rating   : 0.33 v4.0.0
% Syntax   : Number of formulae    :    4 (   0 unit;   3 type;   0 defn)
%            Number of atoms       :   22 (   0 equality;   6 variable)
%            Maximal formula depth :    7 (   4 average)
%            Number of connectives :   10 (   0   ~;   1   |;   1   &;   6   @)
%                                         (   0 <=>;   2  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :    5 (   5   >;   0   *;   0   +)
%            Number of symbols     :    5 (   3   :;   0  :=)
%            Number of variables   :    3 (   0 sgn;   1   !;   1   ?;   1   ^)
%                                         (   3   :;   0  :=;   0  !>;   0  ?*)

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%------------------------------------------------------------------------------
thf(cA,type,(
    cA: $i > $o )).

thf(cP,type,(
    cP: ( $i > $o ) > $o )).

thf(cB,type,(
    cB: $i > $o )).

thf(cSV1_pme,conjecture,
    ( ( cP
      @ ^ [Xx: $i] :
          ( ( cA @ Xx )
          | ( cB @ Xx ) ) )
   => ? [Xu: $i > $o] :
        ( ( cP @ Xu )
        & ! [Xx: $i] :
            ( ( cA @ Xx )
           => ( Xu @ Xx ) ) ) )).

%------------------------------------------------------------------------------
