cnf(intruder_decomposes_pairs_19,axiom,
    ( ~ intruder_message(pair(A,B))
    | intruder_message(B) )).

cnf(intruder_message_sent_31,axiom,
    ( ~ party_of_protocol(C)
    | ~ party_of_protocol(B)
    | ~ intruder_message(A)
    | message(sent(B,C,A)) )).

cnf(an_a_nonce_is_a_nonce_34,axiom,
    ( a_nonce(an_a_nonce) )).

cnf(b_accepts_secure_session_key_12,axiom,
    ( ~ a_key(B)
    | ~ b_stored(pair(A,C))
    | ~ message(sent(A,b,pair(encrypt(triple(A,B,generate_expiration_time(C)),bt),encrypt(generate_b_nonce(C),B))))
    | b_holds(key(B,A)) )).

cnf(intruder_decomposes_quadruples_26,axiom,
    ( ~ intruder_message(quadruple(A,B,C,D))
    | intruder_message(D) )).

cnf(intruder_decomposes_triples_21,axiom,
    ( ~ intruder_message(triple(A,B,C))
    | intruder_message(B) )).

cnf(generated_keys_are_keys_39,axiom,
    ( a_key(generate_key(A)) )).

cnf(b_is_party_of_protocol_8,axiom,
    ( party_of_protocol(b) )).

cnf(b_creates_freash_nonces_in_time_10,axiom,
    ( ~ fresh_to_b(B)
    | ~ message(sent(A,b,pair(A,B)))
    | message(sent(b,t,triple(b,generate_b_nonce(B),encrypt(triple(A,B,generate_expiration_time(B)),bt)))) )).

cnf(intruder_composes_pairs_27,axiom,
    ( ~ intruder_message(B)
    | ~ intruder_message(A)
    | intruder_message(pair(A,B)) )).

cnf(t_holds_key_at_for_a_13,axiom,
    ( t_holds(key(at,a)) )).

cnf(a_forwards_secure_5,axiom,
    ( ~ message(sent(t,a,triple(encrypt(quadruple(A,B,C,D),at),E,F)))
    | ~ a_stored(pair(A,B))
    | message(sent(a,A,pair(E,encrypt(F,C)))) )).

cnf(a_is_party_of_protocol_2,axiom,
    ( party_of_protocol(a) )).

cnf(intruder_decomposes_quadruples_24,axiom,
    ( ~ intruder_message(quadruple(A,B,C,D))
    | intruder_message(B) )).

cnf(intruder_decomposes_pairs_18,axiom,
    ( ~ intruder_message(pair(A,B))
    | intruder_message(A) )).

cnf(t_is_party_of_protocol_15,axiom,
    ( party_of_protocol(t) )).

cnf(nonce_a_is_fresh_to_b_9,axiom,
    ( fresh_to_b(an_a_nonce) )).

cnf(generated_times_and_nonces_are_nonces_36,axiom,
    ( a_nonce(generate_expiration_time(A)) )).

cnf(a_sent_message_i_to_b_3,axiom,
    ( message(sent(a,b,pair(a,an_a_nonce))) )).

cnf(intruder_composes_quadruples_29,axiom,
    ( ~ intruder_message(A)
    | ~ intruder_message(B)
    | ~ intruder_message(C)
    | ~ intruder_message(D)
    | intruder_message(quadruple(A,B,C,D)) )).

cnf(intruder_decomposes_triples_20,axiom,
    ( ~ intruder_message(triple(A,B,C))
    | intruder_message(A) )).

cnf(intruder_interception_30,axiom,
    ( ~ intruder_message(encrypt(A,B))
    | ~ party_of_protocol(C)
    | ~ intruder_holds(key(B,C))
    | intruder_message(B) )).

cnf(co1_40,negated_conjecture,
    ( ~ intruder_holds(key(A,B))
    | ~ b_holds(key(A,C)) )).

cnf(intruder_holds_key_32,axiom,
    ( ~ party_of_protocol(B)
    | ~ intruder_message(A)
    | intruder_holds(key(A,B)) )).

cnf(server_t_generates_key_16,axiom,
    ( message(sent(t,C,triple(encrypt(quadruple(A,D,generate_key(D),E),G),encrypt(triple(C,generate_key(D),E),F),B)))
    | ~ a_nonce(D)
    | ~ t_holds(key(F,A))
    | ~ t_holds(key(G,C))
    | ~ message(sent(A,t,triple(A,B,encrypt(triple(C,D,E),F)))) )).

cnf(generated_times_and_nonces_are_nonces_37,axiom,
    ( a_nonce(generate_b_nonce(A)) )).

cnf(intruder_key_encrypts_33,axiom,
    ( ~ intruder_holds(key(B,C))
    | ~ intruder_message(A)
    | ~ party_of_protocol(C)
    | intruder_message(encrypt(A,B)) )).

cnf(intruder_decomposes_triples_22,axiom,
    ( intruder_message(C)
    | ~ intruder_message(triple(A,B,C)) )).

cnf(nothing_is_a_nonce_and_a_key_38,axiom,
    ( ~ a_key(A)
    | ~ a_nonce(A) )).

cnf(a_stored_message_i_4,axiom,
    ( a_stored(pair(b,an_a_nonce)) )).

cnf(b_hold_key_bt_for_t_7,axiom,
    ( b_holds(key(bt,t)) )).

cnf(intruder_composes_triples_28,axiom,
    ( ~ intruder_message(C)
    | ~ intruder_message(A)
    | ~ intruder_message(B)
    | intruder_message(triple(A,B,C)) )).

cnf(b_creates_freash_nonces_in_time_11,axiom,
    ( b_stored(pair(A,B))
    | ~ message(sent(A,b,pair(A,B)))
    | ~ fresh_to_b(B) )).

cnf(intruder_decomposes_quadruples_23,axiom,
    ( intruder_message(A)
    | ~ intruder_message(quadruple(A,B,C,D)) )).

cnf(t_holds_key_bt_for_b_14,axiom,
    ( t_holds(key(bt,b)) )).

cnf(intruder_can_record_17,axiom,
    ( ~ message(sent(A,B,C))
    | intruder_message(C) )).

cnf(intruder_decomposes_quadruples_25,axiom,
    ( ~ intruder_message(quadruple(A,B,C,D))
    | intruder_message(C) )).

