%------------------------------------------------------------------------------
% File     : SYO016^1 : TPTP v4.0.0. Released v3.7.0.
% Domain   : Syntactic
% Problem  : Formula valid in MBb, but not in model classes not requiring b
% Version  : Especial.
% English  :

% Refs     : [BB05]  Benzmueller & Brown (2005), A Structured Set of Higher
%          : [Ben09] Benzmueller (2009), Email to Geoff Sutcliffe
% Source   : [Ben09]
% Names    : Example 18a [BB05]

% Status   : Theorem
%          : Without Boolean extensionality : CounterSatisfiable
% Rating   : 0.67 v3.7.0
% Syntax   : Number of formulae    :    4 (   0 unit;   2 type;   1 defn)
%            Number of atoms       :   24 (   1 equality;   4 variable)
%            Maximal formula depth :    7 (   5 average)
%            Number of connectives :   11 (   0   ~;   0   |;   0   &;  10   @)
%                                         (   0 <=>;   1  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :    4 (   4   >;   0   *;   0   +)
%            Number of symbols     :    5 (   2   :;   0  :=)
%            Number of variables   :    3 (   0 sgn;   1   !;   0   ?;   2   ^)
%                                         (   3   :;   0  :=;   0  !>;   0  ?*)

% Comments : THF0 syntax
%------------------------------------------------------------------------------
thf(leibeq_decl,type,(
    leibeq: $o > $o > $o )).

thf(leibeq,definition,
    ( leibeq
    = ( ^ [X: $o,Y: $o] :
        ! [P: $o > $o] :
          ( ( P @ X )
         => ( P @ Y ) ) ) )).

thf(h,type,(
    h: $o > $o )).

thf(conj,conjecture,
    ( leibeq @ ( h @ ( leibeq @ ( h @ $true ) @ ( h @ $false ) ) ) @ ( h @ $false ) )).

%------------------------------------------------------------------------------
