%------------------------------------------------------------------------------
% File     : SYO102^5 : TPTP v4.0.0. Released v4.0.0.
% Domain   : Syntactic
% Problem  : TPS problem THM101
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0362 [Bro09]
%          : THM101 [TPS]

% Status   : Theorem
% Rating   : 0.33 v4.0.0
% Syntax   : Number of formulae    :    2 (   0 unit;   1 type;   0 defn)
%            Number of atoms       :   31 (   0 equality;  14 variable)
%            Maximal formula depth :   10 (   7 average)
%            Number of connectives :   20 (   0   ~;   0   |;   3   &;  14   @)
%                                         (   0 <=>;   3  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :    2 (   2   >;   0   *;   0   +)
%            Number of symbols     :    3 (   1   :;   0  :=)
%            Number of variables   :    7 (   0 sgn;   7   !;   0   ?;   0   ^)
%                                         (   7   :;   0  :=;   0  !>;   0  ?*)

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%------------------------------------------------------------------------------
thf(cP,type,(
    cP: $i > $i > $o )).

thf(cTHM101,conjecture,
    ( ( ! [Xx: $i] :
          ( cP @ Xx @ Xx )
      & ! [Xx: $i,Xy: $i,Xz: $i] :
          ( ( ( cP @ Xx @ Xy )
            & ( cP @ Xz @ Xy ) )
         => ( cP @ Xx @ Xz ) ) )
   => ! [Xu: $i,Xv: $i,Xw: $i] :
        ( ( ( cP @ Xu @ Xv )
          & ( cP @ Xv @ Xw ) )
       => ( cP @ Xu @ Xw ) ) )).

%------------------------------------------------------------------------------
