%------------------------------------------------------------------------------
% File     : SYO148^5 : TPTP v4.0.0. Released v4.0.0.
% Domain   : Syntactic
% Problem  : TPS problem from BASIC-FO-THMS
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0794 [Bro09]

% Status   : Theorem
% Rating   : 0.33 v4.0.0
% Syntax   : Number of formulae    :    5 (   1 unit;   4 type;   0 defn)
%            Number of atoms       :   21 (   1 equality;   5 variable)
%            Maximal formula depth :    7 (   4 average)
%            Number of connectives :   11 (   2   ~;   0   |;   0   &;   5   @)
%                                         (   3 <=>;   1  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :    3 (   3   >;   0   *;   0   +)
%            Number of symbols     :    6 (   4   :;   0  :=)
%            Number of variables   :    2 (   0 sgn;   1   !;   0   ?;   1   ^)
%                                         (   2   :;   0  :=;   0  !>;   0  ?*)

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%------------------------------------------------------------------------------
thf(a_type,type,(
    a: $tType )).

thf(cZ,type,(
    cZ: a > $o )).

thf(cY,type,(
    cY: a > $o )).

thf(cX,type,(
    cX: a > $o )).

thf(cBOOL25,conjecture,
    ( ! [U: a] :
        ( ~ ( cX @ U )
      <=> ( ( cY @ U )
        <=> ( cZ @ U ) ) )
   => ( cX
      = ( ^ [U: a] :
            ~ ( ( cY @ U )
            <=> ( cZ @ U ) ) ) ) )).

%------------------------------------------------------------------------------
