%------------------------------------------------------------------------------
% File     : SYO222^5 : TPTP v4.0.0. Released v4.0.0.
% Domain   : Syntactic
% Problem  : TPS problem THM115A
% Version  : Especial.
% English  : Sunil's example.

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0352 [Bro09]
%          : THM115 [TPS]
%          : THM115A [TPS]

% Status   : Theorem
% Rating   : 0.67 v4.0.0
% Syntax   : Number of formulae    :    4 (   1 unit;   3 type;   0 defn)
%            Number of atoms       :   28 (   2 equality;   9 variable)
%            Maximal formula depth :   10 (   4 average)
%            Number of connectives :   12 (   0   ~;   0   |;   2   &;   7   @)
%                                         (   0 <=>;   3  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :    3 (   3   >;   0   *;   0   +)
%            Number of symbols     :    5 (   3   :;   0  :=)
%            Number of variables   :    5 (   0 sgn;   3   !;   2   ?;   0   ^)
%                                         (   5   :;   0  :=;   0  !>;   0  ?*)

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%------------------------------------------------------------------------------
thf(f,type,(
    f: $i > $i )).

thf(a,type,(
    a: $i )).

thf(cP,type,(
    cP: $i > $o )).

thf(cTHM115A,conjecture,(
    ? [A: $i > $o] :
      ( ! [Xx: $i] :
          ( ( A @ ( f @ Xx ) )
         => ( cP @ Xx ) )
      & ( ( ( cP @ a )
          & ! [Xx: $i,Xy: $i] :
              ( ( ( f @ Xx )
                = ( f @ Xy ) )
             => ( Xx = Xy ) ) )
       => ? [Xz: $i] :
            ( A @ Xz ) ) ) )).

%------------------------------------------------------------------------------
