%------------------------------------------------------------------------------
% File     : SYO231^5 : TPTP v4.0.0. Released v4.0.0.
% Domain   : Syntactic
% Problem  : TPS problem from BASIC-HO-EQ-THMS
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0671 [Bro09]

% Status   : Theorem
% Rating   : 0.33 v4.0.0
% Syntax   : Number of formulae    :    3 (   0 unit;   2 type;   0 defn)
%            Number of atoms       :   13 (   1 equality;   3 variable)
%            Maximal formula depth :    7 (   4 average)
%            Number of connectives :    4 (   1   ~;   0   |;   1   &;   2   @)
%                                         (   0 <=>;   0  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :    3 (   3   >;   0   *;   0   +)
%            Number of symbols     :    4 (   2   :;   0  :=)
%            Number of variables   :    2 (   0 sgn;   0   !;   1   ?;   1   ^)
%                                         (   2   :;   0  :=;   0  !>;   0  ?*)

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%------------------------------------------------------------------------------
thf(cB,type,(
    cB: $i > $o )).

thf(cA,type,(
    cA: $i > $o )).

thf(cSV6,conjecture,(
    ? [Xu: $i > $o] :
      ( Xu
      = ( ^ [Xx: $i] :
            ( ~ ( cA @ Xx )
            & ( cB @ Xx ) ) ) ) )).

%------------------------------------------------------------------------------
