%------------------------------------------------------------------------------
% File     : SYO234^5 : TPTP v4.0.0. Released v4.0.0.
% Domain   : Syntactic
% Problem  : TPS problem from BASIC-HO-EQ-THMS
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0703 [Bro09]

% Status   : Theorem
% Rating   : 0.33 v4.0.0
% Syntax   : Number of formulae    :    5 (   2 unit;   4 type;   0 defn)
%            Number of atoms       :   21 (   1 equality;   5 variable)
%            Maximal formula depth :    8 (   4 average)
%            Number of connectives :    5 (   0   ~;   1   |;   0   &;   4   @)
%                                         (   0 <=>;   0  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :    6 (   6   >;   0   *;   0   +)
%            Number of symbols     :    6 (   4   :;   0  :=)
%            Number of variables   :    3 (   0 sgn;   0   !;   1   ?;   2   ^)
%                                         (   3   :;   0  :=;   0  !>;   0  ?*)

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%------------------------------------------------------------------------------
thf(d_type,type,(
    d: $tType )).

thf(c_type,type,(
    c: $tType )).

thf(cB,type,(
    cB: d > c > $o )).

thf(cA,type,(
    cA: c > d > $o )).

thf(cSV4,conjecture,(
    ? [Xu: c > d > $o] :
      ( Xu
      = ( ^ [Xx: c,Xy: d] :
            ( ( cA @ Xx @ Xy )
            | ( cB @ Xy @ Xx ) ) ) ) )).

%------------------------------------------------------------------------------
