%------------------------------------------------------------------------------
% File     : SYO271^5 : TPTP v4.0.0. Released v4.0.0.
% Domain   : Syntactic
% Problem  : TPS problem X5500
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0321 [Bro09]
%          : X5500 [TPS]

% Status   : Theorem
% Rating   : 0.67 v4.0.0
% Syntax   : Number of formulae    :    4 (   2 unit;   3 type;   0 defn)
%            Number of atoms       :   37 (   4 equality;  16 variable)
%            Maximal formula depth :   12 (   5 average)
%            Number of connectives :   16 (   2   ~;   0   |;   0   &;  11   @)
%                                         (   0 <=>;   3  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :    5 (   5   >;   0   *;   0   +)
%            Number of symbols     :    5 (   3   :;   0  :=)
%            Number of variables   :    6 (   0 sgn;   3   !;   1   ?;   2   ^)
%                                         (   6   :;   0  :=;   0  !>;   0  ?*)

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%------------------------------------------------------------------------------
thf(b_type,type,(
    b: $tType )).

thf(a_type,type,(
    a: $tType )).

thf(cJ,type,(
    cJ: ( b > $o ) > b )).

thf(cX5500,conjecture,
    ( ! [P: b > $o] :
        ( ? [Xx: b] :
            ( P @ Xx )
       => ( P @ ( cJ @ P ) ) )
   => ! [Xf: b > a,Xg: b > a] :
        ( ( ( Xf
            @ ( cJ
              @ ^ [Xx: b] :
                  ( ( Xf @ Xx )
                 != ( Xg @ Xx ) ) ) )
          = ( Xg
            @ ( cJ
              @ ^ [Xx: b] :
                  ( ( Xf @ Xx )
                 != ( Xg @ Xx ) ) ) ) )
       => ( Xf = Xg ) ) )).

%------------------------------------------------------------------------------
