%------------------------------------------------------------------------------
% File     : SYO445^1 : TPTP v4.0.0. Released v4.0.0.
% Domain   : Syntactic
% Problem  : Ted Sider's modal proposition logic theorem 54
% Version  : Especial.
% English  :

% Refs     : [Sid09] Sider (2009), Logic for Philosophy
% Source   : [Sid09]
% Names    : 

% Status   : Theorem
% Rating   : 0.67 v4.0.0
% Syntax   : Number of formulae    :   74 (   1 unit;  37 type;  33 defn)
%            Number of atoms       :  558 (  38 equality; 135 variable)
%            Maximal formula depth :   11 (   6 average)
%            Number of connectives :  145 (   5   ~;   5   |;   8   &; 119   @)
%                                         (   0 <=>;   8  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :  180 ( 180   >;   0   *;   0   +)
%            Number of symbols     :   43 (  37   :;   0  :=)
%            Number of variables   :   88 (   3 sgn;  30   !;   6   ?;  52   ^)
%                                         (  88   :;   0  :=;   0  !>;   0  ?*)

% Comments : 
%------------------------------------------------------------------------------
%----Include axioms for Modal logic S5
include('Axioms/LCL013^0.ax').
include('Axioms/LCL013^6.ax').
%------------------------------------------------------------------------------
thf(p_type,type,(
    p: $i > $o )).

thf(q_type,type,(
    q: $i > $o )).

thf(prove,conjecture,
    ( mvalid @ ( mequiv @ ( mor @ ( mbox_s5 @ p ) @ ( mdia_s5 @ q ) ) @ ( mbox_s5 @ ( mor @ p @ ( mdia_s5 @ q ) ) ) ) )).
%------------------------------------------------------------------------------
