%------------------------------------------------------------------------------
% File     : SYO460^4 : TPTP v4.0.0. Released v4.0.0.
% Domain   : Syntactic
% Problem  : Ted Sider's propositional modal logic wff 11
% Version  : Especial.
%          : Theorem formulation : Uses system B axioms.
% English  :

% Refs     : [Sid09] Sider (2009), Logic for Philosophy
% Source   : [Sid09]
% Names    :

% Status   : Theorem
% Rating   : 0.33 v4.0.0
% Syntax   : Number of formulae    :   74 (   1 unit;  38 type;  33 defn)
%            Number of atoms       :  559 (  38 equality; 135 variable)
%            Maximal formula depth :   11 (   6 average)
%            Number of connectives :  145 (   5   ~;   5   |;   8   &; 119   @)
%                                         (   0 <=>;   8  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :  181 ( 181   >;   0   *;   0   +)
%            Number of symbols     :   44 (  38   :;   0  :=)
%            Number of variables   :   88 (   3 sgn;  30   !;   6   ?;  52   ^)
%                                         (  88   :;   0  :=;   0  !>;   0  ?*)

% Comments :
%------------------------------------------------------------------------------
%----Include axioms for Modal logic B
include('Axioms/LCL013^0.ax').
include('Axioms/LCL013^4.ax').
%------------------------------------------------------------------------------
thf(p_type,type,(
    p: $i > $o )).

thf(q_type,type,(
    q: $i > $o )).

thf(r_type,type,(
    r: $i > $o )).

thf(prove,conjecture,
    ( mvalid @ ( mimplies @ ( mor @ ( mdia_b @ ( mand @ p @ q ) ) @ ( mdia_b @ ( mand @ p @ r ) ) ) @ ( mdia_b @ p ) ) )).
%------------------------------------------------------------------------------
