%------------------------------------------------------------------------------
% File     : SYO470^6 : TPTP v4.0.0. Released v4.0.0.
% Domain   : Syntactic
% Problem  : Ted Sider's propositional modal logic wff 21
% Version  : Especial.
%          : Theorem formulation : Uses system S5 axioms.
% English  :

% Refs     : [Sid09] Sider (2009), Logic for Philosophy
% Source   : [Sid09]
% Names    :

% Status   : Theorem
% Rating   : 0.33 v4.0.0
% Syntax   : Number of formulae    :   73 (   1 unit;  36 type;  33 defn)
%            Number of atoms       :  552 (  38 equality; 135 variable)
%            Maximal formula depth :   11 (   6 average)
%            Number of connectives :  141 (   5   ~;   5   |;   8   &; 115   @)
%                                         (   0 <=>;   8  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :  179 ( 179   >;   0   *;   0   +)
%            Number of symbols     :   42 (  36   :;   0  :=)
%            Number of variables   :   88 (   3 sgn;  30   !;   6   ?;  52   ^)
%                                         (  88   :;   0  :=;   0  !>;   0  ?*)

% Comments :
%------------------------------------------------------------------------------
%----Include axioms for Modal logic S5
include('Axioms/LCL013^0.ax').
include('Axioms/LCL013^6.ax').
%------------------------------------------------------------------------------
thf(p_type,type,(
    p: $i > $o )).

thf(prove,conjecture,
    ( mvalid @ ( mequiv @ ( mdia_s5 @ ( mdia_s5 @ ( mbox_s5 @ p ) ) ) @ ( mbox_s5 @ p ) ) )).
%------------------------------------------------------------------------------
