%------------------------------------------------------------------------------
% File     : ALG249^3 : TPTP v4.0.0. Released v3.7.0.
% Domain   : Algebra
% Problem  : Push property lemma 2
% Version  : [Bro09] axioms : Reduced > Especial.
% English  :

% Refs     : [DHK95] Dowek et al. (1995), Higher-order Unification via Expl
%          : [Zha08] Zhang (2008), Using LEO-II to Prove Properties of an E
%          : [Ben09] Benzmueller (2009), Email to Geoff Sutcliffe
%          : [Bro09] Brown (2009), M-Set Models
% Source   : [Ben09]
% Names    : pushprop_lem2v2_lthm [Ben09]

% Status   : Theorem
% Rating   : 0.33 v4.0.0, 0.67 v3.7.0
% Syntax   : Number of formulae    :  125 (   6 unit;  11 type; 113 defn)
%            Number of atoms       : 2815 ( 161 equality; 723 variable)
%            Maximal formula depth :   39 (  13 average)
%            Number of connectives : 1942 (   6   ~;   0   |;   4   &; 916   @)
%                                         (   2 <=>;1014  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :  105 ( 105   >;   0   *;   0   +)
%            Number of symbols     :  126 (  11   :;   0  :=)
%            Number of variables   :  327 (   3 sgn; 283   !;   5   ?;  39   ^)
%                                         ( 327   :;   0  :=;   0  !>;   0  ?*)

% Comments : THF0 syntax
%------------------------------------------------------------------------------
%----Include Untyped Lambda Sigma defs
include('Axioms/ALG003^0.ax').
%------------------------------------------------------------------------------
thf(thm,conjecture,(
    pushprop_lem2v2_lthm )).

%------------------------------------------------------------------------------
