include('Axioms/GEO002-0.ax').
include('Axioms/GEO002-2.ax').
include('Axioms/GEO002-3.ax').
cnf(t2,axiom,
    ( between(U,U,V) )).

cnf(e2_2,axiom,
    ( lower_dimension_point_2 != lower_dimension_point_3 )).

cnf(r2_1,axiom,
    ( between(U,V,reflection(U,V)) )).

cnf(d4_3,axiom,
    ( ~ equidistant(U,V,W,X)
    | equidistant(W,X,V,U) )).

cnf(b1,axiom,
    ( between(V,W,X)
    | U != X
    | ~ between(U,W,X) )).

cnf(b8,axiom,
    ( between(U,W,X)
    | ~ between(V,W,X)
    | ~ between(U,V,X) )).

cnf(r5,axiom,
    ( equidistant(V,U,V,reflection(reflection(U,V),V)) )).

cnf(d4_4,axiom,
    ( ~ equidistant(U,V,W,X)
    | equidistant(X,W,U,V) )).

cnf(d10_2,axiom,
    ( V = U
    | extension(U,V,Y,Z) = extension(U,V,W,X)
    | ~ equidistant(W,X,Y,Z) )).

cnf(t9,axiom,
    ( ~ between(U,W,X)
    | between(U,V,W)
    | between(U,W,V)
    | ~ between(U,V,X) )).

cnf(i2_1,axiom,
    ( equidistant(U,V,U1,insertion(U1,W1,U,V)) )).

cnf(t6_1,axiom,
    ( ~ between(U,V,W)
    | V = W
    | V = U
    | ~ between(V,U,W) )).

cnf(i2_2,axiom,
    ( ~ equidistant(U,W,U1,W1)
    | between(U1,insertion(U1,W1,U,V),W1)
    | ~ between(U,V,W) )).

cnf(d14,axiom,
    ( ~ equidistant(W,X,W1,X1)
    | ~ between(U,V,W)
    | ~ between(U1,V1,W1)
    | equidistant(V,X,V1,X1)
    | ~ equidistant(U,X,U1,X1)
    | ~ equidistant(V,W,V1,W1)
    | ~ equidistant(U,V,U1,V1) )).

cnf(b_between_c_and_d,hypothesis,
    ( between(c,b,d) )).

cnf(r6,axiom,
    ( U = reflection(reflection(U,V),V) )).

cnf(i3,axiom,
    ( ~ between(U,V,W)
    | insertion(U,W,U,V) = V )).

cnf(e3_2,axiom,
    ( equidistant(V,extension(U,V,lower_dimension_point_1,lower_dimension_point_2),X,extension(W,X,lower_dimension_point_1,lower_dimension_point_2)) )).

cnf(b3,axiom,
    ( ~ between(U,V,W)
    | ~ between(U,W,V)
    | W = V )).

cnf(r3_2,axiom,
    ( U = reflection(U,U) )).

cnf(b10,axiom,
    ( ~ between(U1,V1,W)
    | between(X,inner_pasch(V1,inner_pasch(U,X,U1,V1,W),U,V,W),W)
    | between(V,inner_pasch(V1,inner_pasch(U,X,U1,V1,W),U,V,W),V1)
    | ~ between(U,X,U1)
    | ~ between(U,V,W) )).

cnf(d15,axiom,
    ( ~ between(U,V,W)
    | ~ equidistant(U,V,U,X)
    | V = X
    | ~ equidistant(W,V,W,X) )).

cnf(d4_2,axiom,
    ( ~ equidistant(U,V,W,X)
    | equidistant(V,U,X,W) )).

cnf(b5,axiom,
    ( between(V,W,X)
    | ~ between(U,W,X)
    | ~ between(U,V,W) )).

cnf(t6_2,axiom,
    ( W = V
    | V = U
    | ~ between(U,W,V)
    | ~ between(U,V,W) )).

cnf(d2,axiom,
    ( equidistant(W,X,U,V)
    | ~ equidistant(U,V,W,X) )).

cnf(prove_betweenness,negated_conjecture,
    ( ~ between(a,b,e) )).

cnf(c_between_a_and_e,hypothesis,
    ( between(a,c,e) )).

cnf(d_between_a_and_e,hypothesis,
    ( between(a,d,e) )).

cnf(d7,axiom,
    ( equidistant(U,U,V,V) )).

cnf(b14,axiom,
    ( ~ between(U,V,X)
    | between(W,V,X)
    | between(V,W,X)
    | ~ between(U,W,X) )).

cnf(t3,axiom,
    ( between(U,V,V) )).

cnf(b11,axiom,
    ( ~ equidistant(U,V,U1,V1)
    | between(U1,V1,W1)
    | ~ between(U,V,W)
    | ~ equidistant(U,W,U1,W1)
    | ~ equidistant(V,W,V1,W1) )).

cnf(d1,axiom,
    ( equidistant(U,V,U,V) )).

cnf(i4,axiom,
    ( insertion(U,V,W,X) = insertion(U,V,Y,Z)
    | ~ equidistant(W,X,Y,Z) )).

cnf(d8,axiom,
    ( ~ equidistant(U,V,U1,V1)
    | ~ equidistant(V,W,V1,W1)
    | ~ between(U,V,W)
    | ~ between(U1,V1,W1)
    | equidistant(U,W,U1,W1) )).

cnf(b6,axiom,
    ( ~ between(U,V,W)
    | ~ between(V,W,X)
    | between(U,W,X)
    | V = W )).

cnf(d10_1,axiom,
    ( ~ between(U,V,W)
    | V = U
    | extension(U,V,V,W) = W )).

cnf(e3_3,axiom,
    ( between(U,V,extension(U,V,lower_dimension_point_1,lower_dimension_point_2)) )).

cnf(e1,axiom,
    ( V = extension(U,V,W,W) )).

cnf(b0,axiom,
    ( between(U,V,Y)
    | Y != extension(U,V,W,X) )).

cnf(e3_1,axiom,
    ( V != extension(U,V,lower_dimension_point_1,lower_dimension_point_2) )).

cnf(t7,axiom,
    ( ~ between(U,W,X)
    | ~ between(V,W,X)
    | between(U,V,W)
    | between(V,U,W)
    | W = X )).

cnf(r4,axiom,
    ( V != reflection(U,V)
    | V = U )).

cnf(b2,axiom,
    ( ~ between(V,U,W)
    | V = U
    | ~ between(U,V,W) )).

cnf(b4,axiom,
    ( between(U,V,W)
    | ~ between(V,W,X)
    | ~ between(U,V,W) )).

cnf(b12,axiom,
    ( ~ between(U,V,X)
    | between(U,X,W)
    | between(U,W,X)
    | U = V
    | ~ between(U,V,W) )).

cnf(d10_3,axiom,
    ( U = V
    | extension(U,V,U,V) = extension(U,V,V,U) )).

cnf(b13,axiom,
    ( ~ between(U,V,W)
    | ~ between(U,V,X)
    | between(V,X,W)
    | between(V,W,X)
    | V = U )).

cnf(d3,axiom,
    ( ~ equidistant(U,V,W,X)
    | equidistant(V,U,W,X) )).

cnf(t1,axiom,
    ( ~ between(U,V,W)
    | between(W,V,U) )).

cnf(i2_3,axiom,
    ( equidistant(V,W,insertion(U1,W1,U,V),W1)
    | ~ equidistant(U,W,U1,W1)
    | ~ between(U,V,W) )).

cnf(d12,axiom,
    ( ~ equidistant(U,W,U1,W1)
    | ~ equidistant(U,X,U1,X1)
    | ~ equidistant(W,X,W1,X1)
    | ~ between(U1,V1,W1)
    | equidistant(V,X,V1,X1)
    | ~ between(U,V,W)
    | ~ equidistant(U,V,U1,V1) )).

cnf(e2_3,axiom,
    ( lower_dimension_point_3 != lower_dimension_point_1 )).

cnf(b7,axiom,
    ( ~ between(V,W,X)
    | V = W
    | between(U,V,X)
    | ~ between(U,V,W) )).

cnf(d11,axiom,
    ( ~ between(U,V,W)
    | ~ equidistant(U,W,U,W1)
    | U = V
    | W1 = W
    | ~ equidistant(V,W,V,W1) )).

cnf(d9,axiom,
    ( ~ equidistant(V,W,V,X)
    | V = U
    | X = W
    | ~ between(U,V,X)
    | ~ between(U,V,W) )).

cnf(b9,axiom,
    ( between(U,V,X)
    | ~ between(U,W,X)
    | ~ between(U,V,W) )).

cnf(d13,axiom,
    ( ~ equidistant(U,W,U1,W1)
    | equidistant(V,W,V1,W1)
    | ~ equidistant(U,V,U1,V1)
    | ~ between(U1,V1,W1)
    | ~ between(U,V,W) )).

cnf(d4_1,axiom,
    ( ~ equidistant(U,V,W,X)
    | equidistant(U,V,X,W) )).

cnf(d5,axiom,
    ( ~ equidistant(U,V,W,X)
    | equidistant(U,V,Y,Z)
    | ~ equidistant(W,X,Y,Z) )).

cnf(r2_2,axiom,
    ( equidistant(V,reflection(U,V),U,V) )).

cnf(r3_1,axiom,
    ( U != V
    | V = reflection(U,V) )).

cnf(d4_5,axiom,
    ( equidistant(X,W,V,U)
    | ~ equidistant(U,V,W,X) )).

cnf(e2_1,axiom,
    ( lower_dimension_point_2 != lower_dimension_point_1 )).

