fof(symmetry_of_line_equal,axiom,(
    ! [A,B] :
      ( line_equal(A,B)
     => line_equal(B,A) ) )).

fof(unique,axiom,(
    ! [A,B,C,D] :
      ( ( incident(C,A)
        & incident(C,B)
        & incident(D,A)
        & incident(D,B) )
     => ( line_equal(A,B)
        | point_equal(C,D) ) ) )).

fof(goalel,axiom,
    ( goal
   <= incident(e,l) )).

fof(goalbm,axiom,
    ( incident(b,m)
   => goal )).

fof(line,axiom,(
    ! [A,B] :
      ( ( point_equal(B,B)
        & point_equal(A,A) )
     => ? [C] :
          ( incident(A,C)
          & incident(B,C) ) ) )).

fof(colinearity_elimination3,axiom,(
    ! [A,B,C,D] :
      ( incident(C,D)
     <= colinear(A,B,C,D) ) )).

fof(colinearity_elimination2,axiom,(
    ! [A,B,C,D] :
      ( incident(B,D)
     <= colinear(A,B,C,D) ) )).

fof(goalcm,axiom,
    ( incident(c,m)
   => goal )).

fof(assumption1,axiom,
    ( colinear(a,b,c,l)
    & colinear(d,e,f,m) )).

fof(pappus1,axiom,(
    ! [A,B,C,D,E,F,G,H,I,J,K,L,M,N,O,P,Q] :
      ( ( colinear(A,B,C,J)
        & colinear(D,E,F,K)
        & colinear(B,F,G,L)
        & colinear(B,D,H,N)
        & colinear(A,F,I,Q)
        & colinear(C,D,I,P)
        & colinear(A,E,H,O)
        & colinear(C,E,G,M) )
     => ( line_equal(L,M)
        | line_equal(N,O)
        | line_equal(P,Q)
        | ? [R] : colinear(G,H,I,R) ) ) )).

fof(pcon,axiom,(
    ! [A,B,C] :
      ( incident(A,C)
     <= ( incident(B,C)
        & point_equal(A,B) ) ) )).

fof(transitivity_of_point_equal,axiom,(
    ! [A,B,C] :
      ( ( point_equal(B,C)
        & point_equal(A,B) )
     => point_equal(A,C) ) )).

fof(symmetry_of_point_equal,axiom,(
    ! [A,B] :
      ( point_equal(A,B)
     => point_equal(B,A) ) )).

fof(goal_to_be_proved,conjecture,(
    goal )).

fof(assumption3,axiom,
    ( colinear(b,d,h,p)
    & colinear(a,e,h,q) )).

fof(goal4,axiom,(
    ! [A] :
      ( ( incident(h,A)
        & incident(i,A)
        & incident(g,A) )
     => goal ) )).

fof(goalam,axiom,
    ( incident(a,m)
   => goal )).

fof(reflexivity_of_line_equal,axiom,(
    ! [A,B] :
      ( line_equal(B,B)
     <= incident(A,B) ) )).

fof(transitivity_of_line_equal,axiom,(
    ! [A,B,C] :
      ( ( line_equal(B,C)
        & line_equal(A,B) )
     => line_equal(A,C) ) )).

fof(assumption4,axiom,
    ( colinear(a,f,i,s)
    & colinear(c,d,i,r) )).

fof(goalfl,axiom,
    ( incident(f,l)
   => goal )).

fof(reflexivity_of_point_equal,axiom,(
    ! [A,B] :
      ( point_equal(A,A)
     <= incident(A,B) ) )).

fof(point,axiom,(
    ! [A,B,C] :
      ( ? [A] :
          ( incident(A,B)
          & incident(A,C) )
     <= ( line_equal(C,C)
        & line_equal(B,B) ) ) )).

fof(colinearity_elimination1,axiom,(
    ! [A,B,C,D] :
      ( colinear(A,B,C,D)
     => incident(A,D) ) )).

fof(lcon,axiom,(
    ! [A,B,C] :
      ( incident(A,C)
     <= ( incident(A,B)
        & line_equal(B,C) ) ) )).

fof(goaldl,axiom,
    ( goal
   <= incident(d,l) )).

fof(assumption2,axiom,
    ( colinear(c,e,g,o)
    & colinear(b,f,g,n) )).

