include('Axioms/GRP004-0.ax').
cnf(right_identity,axiom,
    ( multiply(X,identity) = X )).

cnf(commutator,axiom,
    ( commutator(X,Y) = multiply(X,multiply(Y,multiply(inverse(X),inverse(Y)))) )).

cnf(not_both_associativity_and_center,negated_conjecture,
    ( commutator(a,commutator(b,c)) != commutator(commutator(a,b),c)
    | multiply(commutator(e,f),g) != multiply(g,commutator(e,f)) )).

cnf(right_inverse,axiom,
    ( multiply(X,inverse(X)) = identity )).

cnf(associativity_or_center,negated_conjecture,
    ( multiply(g,commutator(e,f)) = multiply(commutator(e,f),g)
    | commutator(commutator(a,b),c) = commutator(a,commutator(b,c)) )).

