include('Axioms/GRP006-0.ax').
cnf(d3_member_of_group1,negated_conjecture,
    ( group_member(d3,g1) )).

cnf(d2_member_of_group1,negated_conjecture,
    ( group_member(d2,g1) )).

cnf(a_not_b,hypothesis,
    ( b != a )).

cnf(b_maps1_to_d,hypothesis,
    ( isomorphism1(b) = d )).

cnf(prove_one_product_holds_in_group2,negated_conjecture,
    ( ~ product(g2,isomorphism1(d1),isomorphism1(d2),isomorphism1(d3))
    | ~ product(g2,isomorphism2(d1),isomorphism2(d2),isomorphism2(d3)) )).

cnf(b_maps2_to_c,hypothesis,
    ( c = isomorphism2(b) )).

cnf(c_identity_of_group2,hypothesis,
    ( identity_for(g2) = c )).

cnf(two_groups,hypothesis,
    ( g2 != g1 )).

cnf(a_identity_of_group1,hypothesis,
    ( a = identity_for(g1) )).

cnf(d1_member_of_group1,negated_conjecture,
    ( group_member(d1,g1) )).

cnf(b_not_c,hypothesis,
    ( b != c )).

cnf(a_left_identity,hypothesis,
    ( product(g1,a,X,X) )).

cnf(a_not_d,hypothesis,
    ( a != d )).

cnf(a_right_identity,hypothesis,
    ( product(g1,X,a,X) )).

cnf(a_not_c,hypothesis,
    ( a != c )).

cnf(d_member_of_group2,hypothesis,
    ( group_member(d,g2) )).

cnf(a_and_b_only_members_of_group1,hypothesis,
    ( ~ group_member(X,g1)
    | X = a
    | b = X )).

cnf(a_maps1_to_c,hypothesis,
    ( isomorphism1(a) = c )).

cnf(c_member_of_group2,hypothesis,
    ( group_member(c,g2) )).

cnf(b_member_of_group1,hypothesis,
    ( group_member(b,g1) )).

cnf(c_left_identity,hypothesis,
    ( product(g2,c,X,X) )).

cnf(c_right_identity,hypothesis,
    ( product(g2,X,c,X) )).

cnf(a_member_of_group1,hypothesis,
    ( group_member(a,g1) )).

cnf(a_maps2_to_d,hypothesis,
    ( d = isomorphism2(a) )).

cnf(d1_times_d2_is_d3,negated_conjecture,
    ( product(g1,d1,d2,d3) )).

cnf(c_not_d,hypothesis,
    ( d != c )).

cnf(b_not_d,hypothesis,
    ( d != b )).

cnf(c_and_d_only_members_of_group2,hypothesis,
    ( ~ group_member(X,g2)
    | c = X
    | d = X )).

