cnf(product_substitution3,axiom,
    ( ~ product(Xg,W,X,Z)
    | product(Xg,W,Y,Z)
    | ~ equalish(X,Y) )).

cnf(transitivity,axiom,
    ( ~ equalish(X,Y)
    | ~ equalish(Y,Z)
    | equalish(X,Z) )).

cnf(a_maps_to_c,hypothesis,
    ( equalish(an_isomorphism(a),c) )).

cnf(associativity1,axiom,
    ( ~ product(Xg,Xy,Z,Xyz)
    | product(Xg,X,Yz,Xyz)
    | ~ product(Xg,Y,Z,Yz)
    | ~ product(Xg,X,Y,Xy) )).

cnf(c_and_d_only_members_of_group2,hypothesis,
    ( ~ group_member(X,g2)
    | equalish(X,c)
    | equalish(X,d) )).

cnf(d1_member_of_group1,hypothesis,
    ( group_member(d1,g1) )).

cnf(d2_member_of_group1,hypothesis,
    ( group_member(d2,g1) )).

cnf(d_times_d_is_c,hypothesis,
    ( product(g2,d,d,c) )).

cnf(total_function1_2,axiom,
    ( group_member(multiply(Xg,X,Y),Xg)
    | ~ group_member(Y,Xg)
    | ~ group_member(X,Xg) )).

cnf(d3_member_of_group1,hypothesis,
    ( group_member(d3,g1) )).

cnf(left_inverse,axiom,
    ( product(Xg,inverse(Xg,X),X,identity_for(Xg)) )).

cnf(inverse_in_group,axiom,
    ( group_member(inverse(Xg,X),Xg)
    | ~ group_member(X,Xg) )).

cnf(multiply_substitution1,axiom,
    ( equalish(multiply(Xg,X,Y),multiply(Yg,X,Y))
    | ~ equalish(Xg,Yg) )).

cnf(d_member_of_group2,hypothesis,
    ( group_member(d,g2) )).

cnf(a_member_of_group1,hypothesis,
    ( group_member(a,g1) )).

cnf(d_times_c_is_d,hypothesis,
    ( product(g2,d,c,d) )).

cnf(d1_times_d2_is_d3,hypothesis,
    ( product(g1,d1,d2,d3) )).

cnf(b_maps_to_d,hypothesis,
    ( equalish(an_isomorphism(b),d) )).

cnf(product_substitution2,axiom,
    ( product(Xg,Y,Z,W)
    | ~ product(Xg,X,Z,W)
    | ~ equalish(X,Y) )).

cnf(c_times_c_is_c,hypothesis,
    ( product(g2,c,c,c) )).

cnf(product_substitution4,axiom,
    ( product(Xg,W,Z,Y)
    | ~ product(Xg,W,Z,X)
    | ~ equalish(X,Y) )).

cnf(total_function1_1,axiom,
    ( ~ group_member(X,Xg)
    | product(Xg,X,Y,multiply(Xg,X,Y))
    | ~ group_member(Y,Xg) )).

cnf(a_times_b_is_b,hypothesis,
    ( product(g1,a,b,b) )).

cnf(product_substitution1,axiom,
    ( ~ product(Xg,X,Y,Z)
    | product(Yg,X,Y,Z)
    | ~ equalish(Xg,Yg) )).

cnf(right_identity,axiom,
    ( product(Xg,X,identity_for(Xg),X) )).

cnf(inverse_substitution1,axiom,
    ( equalish(inverse(Xg,X),inverse(Yg,X))
    | ~ equalish(Xg,Yg) )).

cnf(identity_substitution,axiom,
    ( equalish(identity_for(Xg),identity_for(Yg))
    | ~ equalish(Xg,Yg) )).

cnf(multiply_substitution2,axiom,
    ( ~ equalish(X,Y)
    | equalish(multiply(Xg,X,Z),multiply(Xg,Y,Z)) )).

cnf(multiply_substitution3,axiom,
    ( equalish(multiply(Xg,Z,X),multiply(Xg,Z,Y))
    | ~ equalish(X,Y) )).

cnf(prove_product_holds_in_group2,negated_conjecture,
    ( ~ product(g2,an_isomorphism(d1),an_isomorphism(d2),an_isomorphism(d3)) )).

cnf(identity_in_group,axiom,
    ( group_member(identity_for(Xg),Xg) )).

cnf(symmetry,axiom,
    ( ~ equalish(X,Y)
    | equalish(Y,X) )).

cnf(right_inverse,axiom,
    ( product(Xg,X,inverse(Xg,X),identity_for(Xg)) )).

cnf(group_member_substitution2,axiom,
    ( group_member(Y,Xg)
    | ~ group_member(X,Xg)
    | ~ equalish(X,Y) )).

cnf(a_times_a_is_a,hypothesis,
    ( product(g1,a,a,a) )).

cnf(a_and_b_only_members_of_group1,hypothesis,
    ( ~ group_member(X,g1)
    | equalish(X,a)
    | equalish(X,b) )).

cnf(b_member_of_group1,hypothesis,
    ( group_member(b,g1) )).

cnf(left_identity,axiom,
    ( product(Xg,identity_for(Xg),X,X) )).

cnf(associativity2,axiom,
    ( ~ product(Xg,X,Y,Xy)
    | ~ product(Xg,Y,Z,Yz)
    | ~ product(Xg,X,Yz,Xyz)
    | product(Xg,Xy,Z,Xyz) )).

cnf(reflexivity,axiom,
    ( equalish(X,X) )).

cnf(group_member_substitution1,axiom,
    ( group_member(X,Yg)
    | ~ group_member(X,Xg)
    | ~ equalish(Xg,Yg) )).

cnf(total_function2,axiom,
    ( ~ product(Xg,X,Y,Z)
    | equalish(W,Z)
    | ~ product(Xg,X,Y,W) )).

cnf(inverse_substitution2,axiom,
    ( ~ equalish(X,Y)
    | equalish(inverse(Xg,X),inverse(Xg,Y)) )).

cnf(b_times_b_is_a,hypothesis,
    ( product(g1,b,b,a) )).

cnf(c_member_of_group2,hypothesis,
    ( group_member(c,g2) )).

cnf(c_times_d_is_d,hypothesis,
    ( product(g2,c,d,d) )).

cnf(b_times_a_is_b,hypothesis,
    ( product(g1,b,a,b) )).

