include('Axioms/GRP003-0.ax').
include('Axioms/GRP003-2.ax').
cnf(a_in_subgroup,hypothesis,
    ( ~ subgroup_member(a) )).

cnf(product_right_cancellation,axiom,
    ( ~ product(A,B,C)
    | ~ product(A,D,C)
    | D = B )).

cnf(d_in_subgroup,hypothesis,
    ( ~ subgroup_member(d) )).

cnf(b_is_in_subgroup,hypothesis,
    ( subgroup_member(b) )).

cnf(product_left_cancellation,axiom,
    ( ~ product(A,B,C)
    | ~ product(D,B,C)
    | D = A )).

cnf(identity_is_in_subgroup,axiom,
    ( subgroup_member(identity) )).

cnf(b_times_a_inverse_is_c,hypothesis,
    ( product(b,inverse(a),c) )).

cnf(closure_of_inverse,axiom,
    ( ~ subgroup_member(A)
    | subgroup_member(inverse(A)) )).

cnf(a_times_c_is_d,hypothesis,
    ( product(a,c,d) )).

cnf(prove_inverse_is_self_cancelling,negated_conjecture,
    ( inverse(inverse(A)) = A )).

cnf(an_element_in_O2,axiom,
    ( subgroup_member(B)
    | subgroup_member(A)
    | subgroup_member(element_in_O2(A,B)) )).

cnf(property_of_O2,axiom,
    ( subgroup_member(A)
    | subgroup_member(B)
    | product(A,element_in_O2(A,B),B) )).

