fof(mp_growth_rate,axiom,(
    ! [X,E,T] :
      ( ( ( greater(growth_rate(X,T),zero)
         <= increases(cardinality_at_time(X,T)) )
        & ( greater(zero,growth_rate(X,T))
         <= decreases(cardinality_at_time(X,T)) )
        & ( constant(cardinality_at_time(X,T))
         => zero = growth_rate(X,T) ) )
     <= ( environment(E)
        & greater(cardinality_at_time(X,T),zero)
        & subpopulation(X,E,T)
        & in_environment(E,T) ) ) )).

fof(mp_non_zero_producers,axiom,(
    ! [E,T] :
      ( ( greater(cardinality_at_time(first_movers,T),zero)
        & greater(cardinality_at_time(efficient_producers,T),zero) )
     <= ( environment(E)
        & subpopulations(first_movers,efficient_producers,E,T) ) ) )).

fof(a9,hypothesis,(
    ! [E,X,T] :
      ( ( first_movers = X
        | efficient_producers = X )
     <= ( greater(cardinality_at_time(X,T),zero)
        & subpopulation(X,E,T)
        & environment(E) ) ) )).

fof(mp_only_members,axiom,(
    ! [E,X,T] :
      ( ( environment(E)
        & ( ( efficient_producers = X
            | first_movers = X )
         <= greater(cardinality_at_time(X,T),zero) )
        & subpopulation(X,E,T) )
     => number_of_organizations(E,T) = sum(cardinality_at_time(first_movers,T),cardinality_at_time(efficient_producers,T)) ) )).

fof(prove_l7,conjecture,(
    ! [E,T] :
      ( ( environment(E)
        & constant(number_of_organizations(E,T))
        & subpopulations(first_movers,efficient_producers,E,T) )
     => ( ( zero = growth_rate(first_movers,T)
          & growth_rate(efficient_producers,T) = zero )
        | ( greater(zero,growth_rate(first_movers,T))
          & greater(growth_rate(efficient_producers,T),zero) )
        | ( greater(growth_rate(first_movers,T),zero)
          & greater(zero,growth_rate(efficient_producers,T)) ) ) ) )).

fof(mp_subpopulations,axiom,(
    ! [E,T] :
      ( ( in_environment(E,T)
        & environment(E) )
     => ( subpopulation(efficient_producers,E,T)
        & subpopulation(first_movers,E,T) ) ) )).

fof(mp_time_point_occur,axiom,(
    ! [E,T] :
      ( ( environment(E)
        & subpopulations(first_movers,efficient_producers,E,T) )
     => in_environment(E,T) ) )).

fof(mp_abc_sum_increase,axiom,(
    ! [A,B,C] :
      ( ( ( increases(C)
          & decreases(B) )
        | ( increases(B)
          & decreases(C) )
        | ( constant(C)
          & constant(B) ) )
     <= ( A = sum(B,C)
        & constant(A) ) ) )).

