fof(a9,hypothesis,(
    ! [E,X,T] :
      ( ( environment(E)
        & subpopulation(X,E,T)
        & greater(cardinality_at_time(X,T),zero) )
     => ( efficient_producers = X
        | X = first_movers ) ) )).

fof(mp_positive_sum_means_members,axiom,(
    ! [E,T] :
      ( ( environment(E)
        & greater(number_of_organizations(E,T),zero) )
     => ? [X] :
          ( greater(cardinality_at_time(X,T),zero)
          & subpopulation(X,E,T) ) ) )).

fof(a1,hypothesis,(
    ! [E,T] :
      ( ( environment(E)
        & in_environment(E,T)
        & greater_or_equal(T,appear(an_organisation,E)) )
     => greater(number_of_organizations(E,T),zero) ) )).

fof(mp_no_FM_before_opening,axiom,(
    ! [E] :
      ( greater_or_equal(appear(first_movers,E),start_time(E))
     <= environment(E) ) )).

fof(l13,hypothesis,(
    ! [E] :
      ( appear(first_movers,E) = appear(an_organisation,E)
     <= ( environment(E)
        & in_environment(E,appear(an_organisation,E)) ) ) )).

fof(mp_not_present_before_appearance,axiom,(
    ! [E,X,T] :
      ( zero = cardinality_at_time(X,T)
     <= ( in_environment(E,T)
        & greater(appear(X,E),T)
        & environment(E) ) ) )).

fof(mp_opening_time_in_duration,axiom,(
    ! [E] :
      ( in_environment(E,start_time(E))
     <= environment(E) ) )).

fof(mp_positive_and_sustains,axiom,(
    ! [E,T] :
      ( ( greater(number_of_organizations(E,T),zero)
        & environment(E) )
     => in_environment(E,T) ) )).

fof(mp2_favour_members,axiom,(
    ! [E,S1,S2,T] :
      ( selection_favors(S1,S2,T)
     <= ( zero = cardinality_at_time(S2,T)
        & greater(cardinality_at_time(S1,T),zero)
        & subpopulation(S2,E,T)
        & subpopulation(S1,E,T)
        & environment(E) ) ) )).

fof(prove_t2,conjecture,(
    ! [E,T] :
      ( selection_favors(first_movers,efficient_producers,T)
     <= ( in_environment(E,T)
        & greater_or_equal(T,appear(first_movers,E))
        & greater(appear(efficient_producers,E),T)
        & environment(E) ) ) )).

fof(mp_zero_is_not_positive,axiom,(
    ! [X,T] :
      ( cardinality_at_time(X,t) = zero
     => ~ greater(cardinality_at_time(X,T),zero) ) )).

fof(mp_subpopulations,axiom,(
    ! [E,T] :
      ( ( in_environment(E,T)
        & environment(E) )
     => ( subpopulation(first_movers,E,T)
        & subpopulation(efficient_producers,E,T) ) ) )).

fof(mp_FM_means_organisations,axiom,(
    ! [E] :
      ( ( in_environment(E,appear(first_movers,E))
        & environment(E) )
     => in_environment(E,appear(an_organisation,E)) ) )).

fof(mp_durations_are_time_intervals,axiom,(
    ! [E,T1,T2,T] :
      ( in_environment(E,T)
     <= ( in_environment(E,T1)
        & greater_or_equal(T,T1)
        & greater_or_equal(T2,T)
        & in_environment(E,T2)
        & environment(E) ) ) )).

