include('Axioms/MGT001-0.ax').
cnf(definition_4_59,axiom,
    ( smaller_or_equal(age(A,sk2(A)),tau)
    | greater(age(A,sk2(A)),tau)
    | robust_position(A) )).

cnf(theorem_10_77,negated_conjecture,
    ( age(sk3,sk4) = zero )).

cnf(assumption_18b_69,axiom,
    ( greater(mod1,low) )).

cnf(assumption_15_55,axiom,
    ( ~ organization(A)
    | age(A,B) != zero
    | dissimilar(A,B,C)
    | ~ greater(age(A,C),sigma) )).

cnf(definition_2_51,axiom,
    ( ~ organization(A)
    | ~ is_aligned(A,B)
    | is_aligned(A,C)
    | dissimilar(A,B,C) )).

cnf(definition_1_43,axiom,
    ( ~ organization(A)
    | smaller_or_equal(age(A,sk1(A)),eta)
    | has_endowment(A)
    | has_immunity(A,sk1(A)) )).

cnf(theorem_10_76,negated_conjecture,
    ( ~ has_endowment(sk3) )).

cnf(definition_1_40,axiom,
    ( ~ smaller_or_equal(age(A,B),eta)
    | has_immunity(A,B)
    | ~ has_endowment(A) )).

cnf(definition_2_53,axiom,
    ( is_aligned(A,B)
    | dissimilar(A,C,B)
    | ~ is_aligned(A,B)
    | ~ organization(A) )).

cnf(assumption_1_46,axiom,
    ( ~ organization(A)
    | ~ has_immunity(A,B)
    | has_endowment(A) )).

cnf(assumption_17_67,axiom,
    ( ~ organization(A)
    | high = hazard_of_mortality(A,B)
    | positional_advantage(A,B)
    | is_aligned(A,B)
    | has_immunity(A,B) )).

cnf(theorem_10_85,negated_conjecture,
    ( ~ smaller(hazard_of_mortality(sk3,sk6),hazard_of_mortality(sk3,sk7))
    | hazard_of_mortality(sk3,sk4) != hazard_of_mortality(sk3,sk5)
    | ~ smaller(hazard_of_mortality(sk3,sk7),hazard_of_mortality(sk3,sk5)) )).

cnf(definition_4_62,axiom,
    ( ~ positional_advantage(A,sk2(A))
    | robust_position(A)
    | positional_advantage(A,sk2(A)) )).

cnf(assumption_17_65,axiom,
    ( ~ organization(A)
    | ~ positional_advantage(A,B)
    | hazard_of_mortality(A,B) = mod1
    | is_aligned(A,B)
    | has_immunity(A,B) )).

cnf(theorem_10_78,negated_conjecture,
    ( greater(sigma,zero) )).

cnf(definition_1_41,axiom,
    ( ~ greater(age(A,B),eta)
    | ~ has_immunity(A,B)
    | ~ has_endowment(A) )).

cnf(assumption_17_64,axiom,
    ( ~ organization(A)
    | has_immunity(A,B)
    | ~ is_aligned(A,B)
    | low = hazard_of_mortality(A,B)
    | ~ positional_advantage(A,B) )).

cnf(assumption_18d_71,axiom,
    ( greater(high,mod2) )).

cnf(definition_4_61,axiom,
    ( greater(age(A,sk2(A)),tau)
    | robust_position(A)
    | positional_advantage(A,sk2(A)) )).

cnf(definition_2_50,axiom,
    ( dissimilar(A,B,C)
    | is_aligned(A,B)
    | ~ is_aligned(A,B)
    | ~ organization(A) )).

cnf(definition_2_47,axiom,
    ( organization(A)
    | ~ dissimilar(A,B,C) )).

cnf(assumption_13_54,axiom,
    ( zero != age(A,B)
    | is_aligned(A,B)
    | ~ organization(A) )).

cnf(theorem_10_74,negated_conjecture,
    ( organization(sk3) )).

cnf(definition_1_42,axiom,
    ( has_endowment(A)
    | greater(age(A,sk1(A)),eta)
    | smaller_or_equal(age(A,sk1(A)),eta)
    | ~ organization(A) )).

cnf(definition_2_49,axiom,
    ( ~ dissimilar(A,B,C)
    | ~ is_aligned(A,B)
    | ~ is_aligned(A,C) )).

cnf(assumption_17_63,axiom,
    ( ~ organization(A)
    | ~ has_immunity(A,B)
    | hazard_of_mortality(A,B) = very_low )).

cnf(theorem_10_82,negated_conjecture,
    ( greater(age(sk3,sk6),tau) )).

cnf(definition_1_39,axiom,
    ( organization(A)
    | ~ has_endowment(A) )).

cnf(theorem_10_81,negated_conjecture,
    ( smaller_or_equal(age(sk3,sk5),tau) )).

cnf(theorem_10_79,negated_conjecture,
    ( greater(tau,zero) )).

cnf(assumption_18e_72,axiom,
    ( greater(mod2,low) )).

cnf(theorem_10_84,negated_conjecture,
    ( greater(age(sk3,sk7),sigma) )).

cnf(assumption_19_73,axiom,
    ( greater(mod2,mod1) )).

cnf(assumption_17_66,axiom,
    ( ~ organization(A)
    | mod2 = hazard_of_mortality(A,B)
    | positional_advantage(A,B)
    | ~ is_aligned(A,B)
    | has_immunity(A,B) )).

cnf(assumption_18a_68,axiom,
    ( greater(high,mod1) )).

cnf(definition_2_52,axiom,
    ( is_aligned(A,C)
    | dissimilar(A,C,B)
    | ~ is_aligned(A,B)
    | ~ organization(A) )).

cnf(definition_4_60,axiom,
    ( ~ positional_advantage(A,sk2(A))
    | robust_position(A)
    | smaller_or_equal(age(A,sk2(A)),tau) )).

cnf(definition_4_57,axiom,
    ( ~ robust_position(A)
    | ~ positional_advantage(A,B)
    | ~ smaller_or_equal(age(A,B),tau) )).

cnf(theorem_10_80,negated_conjecture,
    ( greater(sigma,tau) )).

cnf(definition_1_44,axiom,
    ( greater(age(A,sk1(A)),eta)
    | has_endowment(A)
    | ~ has_immunity(A,sk1(A))
    | ~ organization(A) )).

cnf(assumption_15_56,axiom,
    ( greater(age(A,C),sigma)
    | ~ dissimilar(A,B,C)
    | zero != age(A,B)
    | ~ organization(A) )).

cnf(definition_4_58,axiom,
    ( positional_advantage(A,B)
    | ~ greater(age(A,B),tau)
    | ~ robust_position(A) )).

cnf(theorem_10_75,negated_conjecture,
    ( robust_position(sk3) )).

cnf(assumption_18c_70,axiom,
    ( greater(low,very_low) )).

cnf(definition_1_45,axiom,
    ( ~ has_immunity(A,sk1(A))
    | has_immunity(A,sk1(A))
    | has_endowment(A)
    | ~ organization(A) )).

cnf(theorem_10_83,negated_conjecture,
    ( smaller_or_equal(age(sk3,sk6),sigma) )).

cnf(definition_2_48,axiom,
    ( is_aligned(A,C)
    | is_aligned(A,B)
    | ~ dissimilar(A,B,C) )).

