%------------------------------------------------------------------------------
% File     : NUM021^1 : TPTP v4.0.0. Released v3.6.0.
% Domain   : Number Theory
% Problem  : Find operator o such that 2 o 3 = 5 and 1 o 2 = 3
% Version  : [Ben08] axioms : Especial.
% English  :

% Refs     : [Ben08] Benzmueller (2008), Email to G. Sutcliffe
% Source   : [Ben08]
% Names    : CHURCH_NUM_7 [Ben08]

% Status   : Theorem
% Rating   : 0.67 v4.0.0, 1.00 v3.7.0
% Syntax   : Number of formulae    :   29 (   0 unit;  14 type;  14 defn)
%            Number of atoms       :  267 (  16 equality;  81 variable)
%            Maximal formula depth :   14 (   7 average)
%            Number of connectives :   70 (   0   ~;   0   |;   1   &;  69   @)
%                                         (   0 <=>;   0  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :  102 ( 102   >;   0   *;   0   +)
%            Number of symbols     :   15 (  14   :;   0  :=)
%            Number of variables   :   34 (   1 sgn;   0   !;   1   ?;  33   ^)
%                                         (  34   :;   0  :=;   0  !>;   0  ?*)

% Comments : THF0 syntax
%------------------------------------------------------------------------------
%----Include church numerals definitions
include('Axioms/NUM006^0.ax').
%------------------------------------------------------------------------------
thf(thm,conjecture,(
    ? [Op: ( ( $i > $i ) > $i > $i ) > ( ( $i > $i ) > $i > $i ) > ( $i > $i ) > $i > $i] :
      ( ( ( Op @ two @ three )
        = five )
      & ( ( Op @ one @ two )
        = three ) ) )).

%------------------------------------------------------------------------------
