%------------------------------------------------------------------------------
% File     : NUM800^1 : TPTP v4.0.0. Released v3.7.0.
% Domain   : Number Theory
% Problem  : Some function of two and three is six, and of one and two is two
% Version  : Especial.
% English  :

% Refs     : [BB05]  Benzmueller & Brown (2005), A Structured Set of Higher
%          : [Ben09] Benzmueller (2009), Email to Geoff Sutcliffe
% Source   : [Ben09]
% Names    : Example 1c [BB05]

% Status   : Theorem
% Rating   : 0.67 v4.0.0, 1.00 v3.7.0
% Syntax   : Number of formulae    :   29 (   0 unit;  14 type;  14 defn)
%            Number of atoms       :  267 (  16 equality;  81 variable)
%            Maximal formula depth :   14 (   7 average)
%            Number of connectives :   70 (   0   ~;   0   |;   1   &;  69   @)
%                                         (   0 <=>;   0  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :  102 ( 102   >;   0   *;   0   +)
%            Number of symbols     :   15 (  14   :;   0  :=)
%            Number of variables   :   34 (   1 sgn;   0   !;   1   ?;  33   ^)
%                                         (  34   :;   0  :=;   0  !>;   0  ?*)

% Comments : THF0 syntax
%------------------------------------------------------------------------------
%----Include Church numerals definitions
include('Axioms/NUM006^0.ax').
%------------------------------------------------------------------------------
thf(thm,conjecture,(
    ? [H: ( ( $i > $i ) > $i > $i ) > ( ( $i > $i ) > $i > $i ) > ( $i > $i ) > $i > $i] :
      ( ( ( H @ two @ three )
        = six )
      & ( ( H @ one @ two )
        = two ) ) )).

%------------------------------------------------------------------------------
