fof(sos,axiom,(
    ! [X39,X40] :
      ( ( activity_occurrence(X39)
        & activity_occurrence(X40) )
     <= subactivity_occurrence(X39,X40) ) )).

fof(sos,axiom,(
    ! [X0,X1] :
      ( ( ~ atomic(X0)
        & occurrence_of(X1,X0) )
     => ? [X2] :
          ( subactivity_occurrence(X2,X1)
          & root(X2,X0) ) ) )).

fof(sos,axiom,(
    ! [X82,X83,X84,X85] :
      ( subactivity_occurrence(X82,X85)
     <= ( min_precedes(X82,X83,X84)
        & subactivity_occurrence(X83,X85)
        & occurrence_of(X85,X84) ) ) )).

fof(sos,axiom,(
    ! [X72,X73,X74] :
      ( min_precedes(X72,X73,X74)
     => precedes(X72,X73) ) )).

fof(sos,axiom,(
    ! [X21,X22,X23] :
      ( ? [X24] :
          ( occurrence_of(X24,X21)
          & subactivity_occurrence(X23,X24)
          & subactivity_occurrence(X22,X24) )
     <= min_precedes(X22,X23,X21) ) )).

fof(sos,axiom,(
    ! [X94,X95,X96] :
      ( ( earlier(X95,X96)
        & earlier(X94,X95) )
     => earlier(X94,X96) ) )).

fof(sos,axiom,(
    ! [X51,X52] :
      ( ( atomic(X52)
      <=> arboreal(X51) )
     <= occurrence_of(X51,X52) ) )).

fof(sos,axiom,(
    ! [X43] :
      ( arboreal(X43)
     <= legal(X43) ) )).

fof(sos,axiom,(
    ! [X8,X9,X10,X11] :
      ( ( occurrence_of(X9,X8)
        & leaf_occ(X11,X9)
        & ~ min_precedes(X10,X11,X8)
        & arboreal(X10)
        & subactivity_occurrence(X10,X9) )
     => X10 = X11 ) )).

fof(sos,axiom,(
    ! [X14,X15,X16,X17] :
      ( ( occurrence_of(X15,X14)
        & arboreal(X17)
        & subactivity_occurrence(X16,X15)
        & subactivity_occurrence(X17,X15)
        & arboreal(X16) )
     => ( min_precedes(X16,X17,X14)
        | min_precedes(X17,X16,X14)
        | X16 = X17 ) ) )).

fof(sos,axiom,(
    ! [X78,X79,X80] :
      ( ( ~ ? [X81] :
              ( min_precedes(X78,X81,X80)
              & min_precedes(X81,X79,X80) )
        & min_precedes(X78,X79,X80) )
    <=> next_subocc(X78,X79,X80) ) )).

fof(sos,axiom,(
    ! [X28,X29,X30] :
      ( X29 = X30
     <= ( occurrence_of(X28,X30)
        & occurrence_of(X28,X29) ) ) )).

fof(sos,axiom,(
    ! [X86,X87,X88,X89] :
      ( X87 = X86
     <= ( occurrence_of(X88,X89)
        & ~ atomic(X89)
        & leaf_occ(X87,X88)
        & leaf_occ(X86,X88) ) ) )).

fof(sos,axiom,(
    ! [X3,X4,X5,X6,X7] :
      ( min_precedes(X5,X7,X3)
     <= ( root_occ(X6,X4)
        & X5 != X7
        & min_precedes(X6,X5,X3)
        & subactivity_occurrence(X5,X4)
        & leaf_occ(X7,X4)
        & occurrence_of(X4,X3) ) ) )).

fof(sos,axiom,(
    ! [X25,X26] :
      ( ( leaf(X25,X26)
        & ~ atomic(X26) )
     => ? [X27] :
          ( occurrence_of(X27,X26)
          & leaf_occ(X25,X27) ) ) )).

fof(sos,axiom,(
    ! [X90,X91,X92,X93] :
      ( ( occurrence_of(X92,X93)
        & root_occ(X91,X92)
        & root_occ(X90,X92) )
     => X90 = X91 ) )).

fof(sos,axiom,(
    ! [X44,X45] :
      ( ? [X46] :
          ( occurrence_of(X44,X46)
          & atomic(X46)
          & subactivity(X45,X46) )
    <=> atocc(X44,X45) ) )).

fof(goals,conjecture,(
    ! [X107,X108] :
      ( ( ~ leaf_occ(X107,X108)
        & arboreal(X107)
        & subactivity_occurrence(X107,X108)
        & occurrence_of(X108,tptp0) )
     => ? [X109,X110] :
          ( next_subocc(X107,X109,tptp0)
          & ( occurrence_of(X110,tptp2)
            | occurrence_of(X110,tptp1) )
          & min_precedes(X109,X110,tptp0)
          & leaf_occ(X110,X108)
          & ( occurrence_of(X110,tptp1)
           => ~ ? [X111] :
                  ( min_precedes(X109,X111,tptp0)
                  & occurrence_of(X111,tptp2) ) )
          & ( ~ ? [X112] :
                  ( min_precedes(X109,X112,tptp0)
                  & occurrence_of(X112,tptp1) )
           <= occurrence_of(X110,tptp2) )
          & occurrence_of(X109,tptp3) ) ) )).

fof(sos,axiom,(
    ! [X63,X64] :
      ( precedes(X63,X64)
    <=> ( legal(X64)
        & earlier(X63,X64) ) ) )).

fof(sos,axiom,(
    atomic(tptp2) )).

fof(sos,axiom,(
    ! [X58,X59] :
      ( ? [X60] :
          ( occurrence_of(X59,X60)
          & subactivity_occurrence(X58,X59)
          & root(X58,X60) )
    <=> root_occ(X58,X59) ) )).

fof(sos,axiom,(
    ! [X53,X54] :
      ( root(X53,X54)
     => legal(X53) ) )).

fof(sos,axiom,(
    atomic(tptp1) )).

fof(sos,axiom,(
    tptp2 != tptp1 )).

fof(sos,axiom,(
    activity(tptp0) )).

fof(sos,axiom,(
    ! [X61,X62] :
      ( earlier(X61,X62)
     => ~ earlier(X62,X61) ) )).

fof(sos,axiom,(
    ! [X47,X48] :
      ( leaf(X47,X48)
    <=> ( ( ? [X49] : min_precedes(X49,X47,X48)
          | root(X47,X48) )
        & ~ ? [X50] : min_precedes(X47,X50,X48) ) ) )).

fof(sos,axiom,(
    ~ atomic(tptp0) )).

fof(sos,axiom,(
    ! [X35,X36,X37] :
      ( ~ ? [X38] : min_precedes(X38,X36,X37)
     <= ( occurrence_of(X35,X37)
        & root_occ(X36,X35) ) ) )).

fof(sos,axiom,(
    tptp1 != tptp3 )).

fof(sos,axiom,(
    ! [X12,X13] :
      ( occurrence_of(X13,X12)
     => ( activity_occurrence(X13)
        & activity(X12) ) ) )).

fof(sos,axiom,(
    ! [X75,X76,X77] :
      ( next_subocc(X75,X76,X77)
     => ( arboreal(X76)
        & arboreal(X75) ) ) )).

fof(sos,axiom,(
    ! [X101,X102] :
      ( ( occurrence_of(X102,tptp0)
        & ~ leaf_occ(X101,X102)
        & arboreal(X101)
        & subactivity_occurrence(X101,X102) )
     => ? [X103,X104,X105] :
          ( next_subocc(X101,X103,tptp0)
          & min_precedes(X104,X105,tptp0)
          & ! [X106] :
              ( ( X106 = X105
                | X106 = X104 )
             <= min_precedes(X103,X106,tptp0) )
          & ( occurrence_of(X105,tptp1)
            | occurrence_of(X105,tptp2) )
          & min_precedes(X103,X104,tptp0)
          & occurrence_of(X104,tptp4)
          & occurrence_of(X103,tptp3) ) ) )).

fof(sos,axiom,(
    ! [X18,X19] :
      ( ? [X20] :
          ( subactivity(X20,X18)
          & atocc(X19,X20) )
     <= root(X19,X18) ) )).

fof(sos,axiom,(
    atomic(tptp4) )).

fof(sos,axiom,(
    ! [X41] :
      ( ? [X42] :
          ( activity(X42)
          & occurrence_of(X41,X42) )
     <= activity_occurrence(X41) ) )).

fof(sos,axiom,(
    tptp4 != tptp2 )).

fof(sos,axiom,(
    tptp4 != tptp1 )).

fof(sos,axiom,(
    ! [X65,X66,X67] :
      ( min_precedes(X65,X66,X67)
     => ~ root(X66,X67) ) )).

fof(sos,axiom,(
    ! [X97,X98,X99,X100] :
      ( ( min_precedes(X97,X98,X100)
        & precedes(X98,X99)
        & min_precedes(X97,X99,X100) )
     => min_precedes(X98,X99,X100) ) )).

fof(sos,axiom,(
    tptp4 != tptp3 )).

fof(sos,axiom,(
    ! [X55,X56] :
      ( ? [X57] :
          ( occurrence_of(X56,X57)
          & subactivity_occurrence(X55,X56)
          & leaf(X55,X57) )
    <=> leaf_occ(X55,X56) ) )).

fof(sos,axiom,(
    ! [X31,X32,X33] :
      ( ( leaf_occ(X32,X31)
        & occurrence_of(X31,X33) )
     => ~ ? [X34] : min_precedes(X32,X34,X33) ) )).

fof(sos,axiom,(
    tptp2 != tptp3 )).

fof(sos,axiom,(
    atomic(tptp3) )).

fof(sos,axiom,(
    ! [X68,X69,X70] :
      ( ? [X71] :
          ( min_precedes(X71,X69,X70)
          & root(X71,X70) )
     <= min_precedes(X68,X69,X70) ) )).

