cnf(distributivity1,axiom,
    ( ~ product(X,Y,V1)
    | ~ product(X,Z,V2)
    | ~ product(X,V3,V4)
    | sum(V1,V2,V4)
    | ~ sum(Y,Z,V3) )).

cnf(addition_is_well_defined,axiom,
    ( equalish(U,V)
    | ~ sum(X,Y,V)
    | ~ sum(X,Y,U) )).

cnf(associativity_of_addition1,axiom,
    ( ~ sum(X,Y,U)
    | ~ sum(U,Z,W)
    | sum(X,V,W)
    | ~ sum(Y,Z,V) )).

cnf(associativity_of_multiplication1,axiom,
    ( ~ product(X,Y,U)
    | ~ product(U,Z,W)
    | product(X,V,W)
    | ~ product(Y,Z,V) )).

cnf(sum_substitution3,axiom,
    ( ~ sum(C,D,A)
    | sum(C,D,B)
    | ~ equalish(A,B) )).

cnf(closure_of_multiplication,axiom,
    ( product(X,Y,multiply(X,Y)) )).

cnf(distributivity4,axiom,
    ( ~ sum(Y,Z,V3)
    | ~ sum(V1,V2,V4)
    | product(V3,X,V4)
    | ~ product(Z,X,V2)
    | ~ product(Y,X,V1) )).

cnf(distributivity2,axiom,
    ( ~ product(X,Y,V1)
    | ~ product(X,Z,V2)
    | product(X,V3,V4)
    | ~ sum(V1,V2,V4)
    | ~ sum(Y,Z,V3) )).

cnf(additive_inverse1,axiom,
    ( sum(additive_inverse(X),X,additive_identity) )).

cnf(additive_identity2,axiom,
    ( sum(X,additive_identity,X) )).

cnf(distributivity3,axiom,
    ( ~ product(Z,X,V2)
    | sum(V1,V2,V4)
    | ~ product(V3,X,V4)
    | ~ sum(Y,Z,V3)
    | ~ product(Y,X,V1) )).

cnf(theorem,negated_conjecture,
    ( ~ product(a,additive_identity,additive_identity) )).

cnf(associativity_of_addition2,axiom,
    ( ~ sum(X,Y,U)
    | ~ sum(X,V,W)
    | sum(U,Z,W)
    | ~ sum(Y,Z,V) )).

cnf(commutativity_of_addition,axiom,
    ( sum(Y,X,Z)
    | ~ sum(X,Y,Z) )).

cnf(additive_inverse2,axiom,
    ( sum(X,additive_inverse(X),additive_identity) )).

cnf(closure_of_addition,axiom,
    ( sum(X,Y,add(X,Y)) )).

cnf(associativity_of_multiplication2,axiom,
    ( ~ product(Y,Z,V)
    | product(U,Z,W)
    | ~ product(X,V,W)
    | ~ product(X,Y,U) )).

cnf(additive_identity1,axiom,
    ( sum(additive_identity,X,X) )).

