include('Axioms/SET003-0.ax').
cnf(a_function,hypothesis,
    ( function(a_function) )).

cnf(first_components_are_equal,axiom,
    ( X = U
    | ordered_pair(U,V) != ordered_pair(X,Y)
    | ~ little_set(U)
    | ~ little_set(X) )).

cnf(second_components_are_equal,axiom,
    ( ~ little_set(X)
    | ~ little_set(Y)
    | ~ little_set(U)
    | V = Y
    | ordered_pair(X,Y) != ordered_pair(U,V)
    | ~ little_set(V) )).

cnf(composition_is_a_function,axiom,
    ( ~ function(Y)
    | function(compose(Y,X))
    | ~ function(X) )).

cnf(ordered_pairs_are_small1,axiom,
    ( little_set(ordered_pair(X,Y)) )).

cnf(apply_for_functions1,axiom,
    ( ~ little_set(Y)
    | ~ function(Xf)
    | apply(Xf,X) = Y
    | ~ member(ordered_pair(X,Y),Xf)
    | ~ little_set(X) )).

cnf(domain_of_composition,axiom,
    ( ~ subset(range_of(X),domain_of(Y))
    | domain_of(X) = domain_of(compose(Y,X)) )).

cnf(member_of_function_domain,hypothesis,
    ( member(a,domain_of(a_function)) )).

cnf(property_of_second,axiom,
    ( ~ little_set(X)
    | second(ordered_pair(X,Y)) = Y
    | ~ little_set(Y) )).

cnf(second_component_is_small,axiom,
    ( ~ ordered_pair_predicate(X)
    | little_set(second(X)) )).

cnf(composition_is_a_relation,axiom,
    ( relation(compose(Y,X)) )).

cnf(ordered_pairs_are_small2,axiom,
    ( little_set(X)
    | ~ ordered_pair_predicate(X) )).

cnf(first_component_is_small,axiom,
    ( ~ ordered_pair_predicate(X)
    | little_set(first(X)) )).

cnf(maps_for_composition,axiom,
    ( ~ maps(Xg,V,W)
    | maps(compose(Xg,Xf),U,W)
    | ~ maps(Xf,U,V) )).

cnf(image_and_apply1,axiom,
    ( subset(apply(Xf,Y),sigma(image(singleton_set(Y),Xf))) )).

cnf(left_cancellation,axiom,
    ( ~ little_set(Y)
    | X = Y
    | non_ordered_pair(Z,Y) != non_ordered_pair(Z,X)
    | ~ little_set(X) )).

cnf(containment_is_transitive,axiom,
    ( ~ subset(Y,Z)
    | subset(X,Z)
    | ~ subset(X,Y) )).

cnf(property_of_singleton_sets,axiom,
    ( ~ little_set(X)
    | member(X,singleton_set(X)) )).

cnf(applying_the_function,hypothesis,
    ( b = apply(a_function,a) )).

cnf(image_and_apply2,axiom,
    ( subset(image(singleton_set(Y),Xf),apply(Xf,Y)) )).

cnf(two_sets_equal,axiom,
    ( ~ subset(X,Y)
    | ~ subset(Y,X)
    | X = Y )).

cnf(function_values_are_small,axiom,
    ( little_set(apply(Y,X))
    | ~ function(Y) )).

cnf(range_of_composition,axiom,
    ( subset(range_of(compose(Y,X)),range_of(Y)) )).

cnf(property_of_first,axiom,
    ( ~ little_set(X)
    | first(ordered_pair(X,Y)) = X
    | ~ little_set(Y) )).

cnf(prove_ordered_pair_in_function,negated_conjecture,
    ( ~ member(ordered_pair(a,b),a_function) )).

