include('Axioms/SET003-0.ax').
cnf(composition_is_a_function,axiom,
    ( ~ function(X)
    | function(compose(Y,X))
    | ~ function(Y) )).

cnf(ordered_pairs_are_small1,axiom,
    ( little_set(ordered_pair(X,Y)) )).

cnf(second_components_are_equal,axiom,
    ( ~ little_set(U)
    | ordered_pair(U,V) != ordered_pair(X,Y)
    | Y = V
    | ~ little_set(V)
    | ~ little_set(Y)
    | ~ little_set(X) )).

cnf(domain_of_composition,axiom,
    ( domain_of(compose(Y,X)) = domain_of(X)
    | ~ subset(range_of(X),domain_of(Y)) )).

cnf(left_cancellation,axiom,
    ( ~ little_set(X)
    | ~ little_set(Y)
    | X = Y
    | non_ordered_pair(Z,X) != non_ordered_pair(Z,Y) )).

cnf(second_component_is_small,axiom,
    ( little_set(second(X))
    | ~ ordered_pair_predicate(X) )).

cnf(property_of_first,axiom,
    ( ~ little_set(Y)
    | X = first(ordered_pair(X,Y))
    | ~ little_set(X) )).

cnf(range_of_composition,axiom,
    ( subset(range_of(compose(Y,X)),range_of(Y)) )).

cnf(apply_for_functions1,axiom,
    ( ~ little_set(X)
    | ~ little_set(Y)
    | ~ member(ordered_pair(X,Y),Xf)
    | apply(Xf,X) = Y
    | ~ function(Xf) )).

cnf(prove_apply_for_composition1,negated_conjecture,
    ( ~ subset(apply(another_function,apply(a_function,a)),apply(compose(another_function,a_function),a)) )).

cnf(composition_is_a_relation,axiom,
    ( relation(compose(Y,X)) )).

cnf(image_and_apply2,axiom,
    ( subset(image(singleton_set(Y),Xf),apply(Xf,Y)) )).

cnf(property_of_singleton_sets,axiom,
    ( ~ little_set(X)
    | member(X,singleton_set(X)) )).

cnf(two_sets_equal,axiom,
    ( ~ subset(X,Y)
    | ~ subset(Y,X)
    | X = Y )).

cnf(property_of_second,axiom,
    ( ~ little_set(X)
    | Y = second(ordered_pair(X,Y))
    | ~ little_set(Y) )).

cnf(containment_is_transitive,axiom,
    ( ~ subset(Y,Z)
    | subset(X,Z)
    | ~ subset(X,Y) )).

cnf(a_function,hypothesis,
    ( function(a_function) )).

cnf(ordered_pairs_are_small2,axiom,
    ( little_set(X)
    | ~ ordered_pair_predicate(X) )).

cnf(member_of_domain,hypothesis,
    ( member(a,domain_of(a_function)) )).

cnf(maps_for_composition,axiom,
    ( ~ maps(Xf,U,V)
    | ~ maps(Xg,V,W)
    | maps(compose(Xg,Xf),U,W) )).

cnf(image_and_apply1,axiom,
    ( subset(apply(Xf,Y),sigma(image(singleton_set(Y),Xf))) )).

cnf(function_values_are_small,axiom,
    ( little_set(apply(Y,X))
    | ~ function(Y) )).

cnf(first_component_is_small,axiom,
    ( ~ ordered_pair_predicate(X)
    | little_set(first(X)) )).

cnf(first_components_are_equal,axiom,
    ( ordered_pair(U,V) != ordered_pair(X,Y)
    | X = U
    | ~ little_set(U)
    | ~ little_set(X) )).

cnf(apply_for_functions3,axiom,
    ( ~ maps(Xf,Xd,Xr)
    | member(apply(Xf,X),Xr)
    | ~ member(X,Xd) )).

cnf(apply_for_functions2,axiom,
    ( member(ordered_pair(X,Y),Xf)
    | Y != apply(Xf,X)
    | ~ member(X,domain_of(Xf))
    | ~ function(Xf) )).

