include('Axioms/SET003-0.ax').
cnf(composition_is_a_relation,axiom,
    ( relation(compose(Y,X)) )).

cnf(ordered_pairs_are_small1,axiom,
    ( little_set(ordered_pair(X,Y)) )).

cnf(maps_for_composition,axiom,
    ( ~ maps(Xf,U,V)
    | maps(compose(Xg,Xf),U,W)
    | ~ maps(Xg,V,W) )).

cnf(apply_for_functions2,axiom,
    ( ~ member(X,domain_of(Xf))
    | member(ordered_pair(X,Y),Xf)
    | apply(Xf,X) != Y
    | ~ function(Xf) )).

cnf(first_components_are_equal,axiom,
    ( ~ little_set(X)
    | ~ little_set(U)
    | ordered_pair(X,Y) != ordered_pair(U,V)
    | U = X )).

cnf(composition_is_a_function,axiom,
    ( ~ function(Y)
    | function(compose(Y,X))
    | ~ function(X) )).

cnf(ordered_pairs_are_small2,axiom,
    ( little_set(X)
    | ~ ordered_pair_predicate(X) )).

cnf(containment_is_transitive,axiom,
    ( subset(X,Z)
    | ~ subset(Y,Z)
    | ~ subset(X,Y) )).

cnf(prove_apply_for_composition3,negated_conjecture,
    ( apply(another_function,apply(a_function,a)) != apply(compose(another_function,a_function),a) )).

cnf(first_component_is_small,axiom,
    ( little_set(first(X))
    | ~ ordered_pair_predicate(X) )).

cnf(two_sets_equal,axiom,
    ( ~ subset(X,Y)
    | ~ subset(Y,X)
    | Y = X )).

cnf(property_of_first,axiom,
    ( ~ little_set(Y)
    | X = first(ordered_pair(X,Y))
    | ~ little_set(X) )).

cnf(member_of_domain,hypothesis,
    ( member(a,domain_of(a_function)) )).

cnf(left_cancellation,axiom,
    ( ~ little_set(Y)
    | X = Y
    | non_ordered_pair(Z,X) != non_ordered_pair(Z,Y)
    | ~ little_set(X) )).

cnf(range_of_composition,axiom,
    ( subset(range_of(compose(Y,X)),range_of(Y)) )).

cnf(property_of_second,axiom,
    ( ~ little_set(Y)
    | Y = second(ordered_pair(X,Y))
    | ~ little_set(X) )).

cnf(second_component_is_small,axiom,
    ( little_set(second(X))
    | ~ ordered_pair_predicate(X) )).

cnf(apply_for_functions3,axiom,
    ( ~ maps(Xf,Xd,Xr)
    | ~ member(X,Xd)
    | member(apply(Xf,X),Xr) )).

cnf(property_of_singleton_sets,axiom,
    ( ~ little_set(X)
    | member(X,singleton_set(X)) )).

cnf(second_components_are_equal,axiom,
    ( ~ little_set(U)
    | V = Y
    | ordered_pair(X,Y) != ordered_pair(U,V)
    | ~ little_set(V)
    | ~ little_set(Y)
    | ~ little_set(X) )).

cnf(apply_for_composition1,axiom,
    ( subset(apply(Xg,apply(Xf,X)),apply(compose(Xg,Xf),X))
    | ~ member(X,domain_of(Xf))
    | ~ function(Xf) )).

cnf(apply_for_composition2,axiom,
    ( subset(apply(compose(Xg,Xf),X),apply(Xg,apply(Xf,X)))
    | ~ function(Xf) )).

cnf(image_and_apply1,axiom,
    ( subset(apply(Xf,Y),sigma(image(singleton_set(Y),Xf))) )).

cnf(domain_of_composition,axiom,
    ( domain_of(X) = domain_of(compose(Y,X))
    | ~ subset(range_of(X),domain_of(Y)) )).

cnf(a_function,hypothesis,
    ( function(a_function) )).

cnf(image_and_apply2,axiom,
    ( subset(image(singleton_set(Y),Xf),apply(Xf,Y)) )).

cnf(apply_for_functions1,axiom,
    ( ~ little_set(Y)
    | ~ function(Xf)
    | ~ member(ordered_pair(X,Y),Xf)
    | apply(Xf,X) = Y
    | ~ little_set(X) )).

cnf(function_values_are_small,axiom,
    ( little_set(apply(Y,X))
    | ~ function(Y) )).

