fof(commutativity_k3_xboole_0,axiom,(
    ! [A,B] : set_intersection2(A,B) = set_intersection2(B,A) )).

fof(t6_boole,axiom,(
    ! [A] :
      ( A = empty_set
     <= empty(A) ) )).

fof(antisymmetry_r2_hidden,axiom,(
    ! [A,B] :
      ( in(A,B)
     => ~ in(B,A) ) )).

fof(t21_funct_1,axiom,(
    ! [A,B] :
      ( ! [C] :
          ( ( relation(C)
            & function(C) )
         => ( ( in(A,relation_dom(C))
              & in(apply(C,A),relation_dom(B)) )
          <=> in(A,relation_dom(relation_composition(C,B))) ) )
     <= ( function(B)
        & relation(B) ) ) )).

fof(existence_m1_subset_1,axiom,(
    ! [A] :
    ? [B] : element(B,A) )).

fof(rc1_funct_1,axiom,(
    ? [A] :
      ( relation(A)
      & function(A) ) )).

fof(t7_boole,axiom,(
    ! [A,B] :
      ~ ( empty(B)
        & in(A,B) ) )).

fof(t1_subset,axiom,(
    ! [A,B] :
      ( element(A,B)
     <= in(A,B) ) )).

fof(rc2_subset_1,axiom,(
    ! [A] :
    ? [B] :
      ( empty(B)
      & element(B,powerset(A)) ) )).

fof(fc9_relat_1,axiom,(
    ! [A,B] :
      ( ( empty(relation_composition(A,B))
        & relation(relation_composition(A,B)) )
     <= ( empty(A)
        & relation(B) ) ) )).

fof(dt_k5_relat_1,axiom,(
    ! [A,B] :
      ( relation(relation_composition(A,B))
     <= ( relation(B)
        & relation(A) ) ) )).

fof(fc2_funct_1,axiom,(
    ! [A] :
      ( relation(identity_relation(A))
      & function(identity_relation(A)) ) )).

fof(fc5_relat_1,axiom,(
    ! [A] :
      ( ( ~ empty(A)
        & relation(A) )
     => ~ empty(relation_dom(A)) ) )).

fof(cc1_relat_1,axiom,(
    ! [A] :
      ( relation(A)
     <= empty(A) ) )).

fof(t8_boole,axiom,(
    ! [A,B] :
      ~ ( A != B
        & empty(B)
        & empty(A) ) )).

fof(dt_k6_relat_1,axiom,(
    ! [A] : relation(identity_relation(A)) )).

fof(t34_funct_1,axiom,(
    ! [A,B] :
      ( ( relation(B)
        & function(B) )
     => ( B = identity_relation(A)
      <=> ( ! [C] :
              ( apply(B,C) = C
             <= in(C,A) )
          & A = relation_dom(B) ) ) ) )).

fof(cc1_funct_1,axiom,(
    ! [A] :
      ( empty(A)
     => function(A) ) )).

fof(fc1_relat_1,axiom,(
    ! [A,B] :
      ( relation(set_intersection2(A,B))
     <= ( relation(B)
        & relation(A) ) ) )).

fof(t2_boole,axiom,(
    ! [A] : empty_set = set_intersection2(A,empty_set) )).

fof(rc1_relat_1,axiom,(
    ? [A] :
      ( empty(A)
      & relation(A) ) )).

fof(rc2_relat_1,axiom,(
    ? [A] :
      ( relation(A)
      & ~ empty(A) ) )).

fof(fc1_funct_1,axiom,(
    ! [A,B] :
      ( ( relation(relation_composition(A,B))
        & function(relation_composition(A,B)) )
     <= ( relation(A)
        & function(A)
        & function(B)
        & relation(B) ) ) )).

fof(rc1_subset_1,axiom,(
    ! [A] :
      ( ~ empty(A)
     => ? [B] :
          ( element(B,powerset(A))
          & ~ empty(B) ) ) )).

fof(t37_funct_1,conjecture,(
    ! [A,B] :
      ( ( relation(B)
        & function(B) )
     => relation_dom(relation_composition(identity_relation(A),B)) = set_intersection2(relation_dom(B),A) ) )).

fof(rc2_xboole_0,axiom,(
    ? [A] : ~ empty(A) )).

fof(rc3_relat_1,axiom,(
    ? [A] :
      ( relation(A)
      & relation_empty_yielding(A) ) )).

fof(rc1_xboole_0,axiom,(
    ? [A] : empty(A) )).

fof(fc1_xboole_0,axiom,(
    empty(empty_set) )).

fof(fc10_relat_1,axiom,(
    ! [A,B] :
      ( ( empty(A)
        & relation(B) )
     => ( empty(relation_composition(B,A))
        & relation(relation_composition(B,A)) ) ) )).

fof(fc12_relat_1,axiom,
    ( empty(empty_set)
    & relation_empty_yielding(empty_set)
    & relation(empty_set) )).

fof(t5_subset,axiom,(
    ! [A,B,C] :
      ~ ( in(A,B)
        & empty(C)
        & element(B,powerset(C)) ) )).

fof(t4_subset,axiom,(
    ! [A,B,C] :
      ( element(A,C)
     <= ( element(B,powerset(C))
        & in(A,B) ) ) )).

fof(d3_xboole_0,axiom,(
    ! [A,B,C] :
      ( C = set_intersection2(A,B)
    <=> ! [D] :
          ( ( in(D,A)
            & in(D,B) )
        <=> in(D,C) ) ) )).

fof(reflexivity_r1_tarski,axiom,(
    ! [A,B] : subset(A,A) )).

fof(fc1_subset_1,axiom,(
    ! [A] : ~ empty(powerset(A)) )).

fof(idempotence_k3_xboole_0,axiom,(
    ! [A,B] : set_intersection2(A,A) = A )).

fof(fc4_relat_1,axiom,
    ( relation(empty_set)
    & empty(empty_set) )).

fof(fc7_relat_1,axiom,(
    ! [A] :
      ( empty(A)
     => ( empty(relation_dom(A))
        & relation(relation_dom(A)) ) ) )).

fof(t2_subset,axiom,(
    ! [A,B] :
      ( ( empty(B)
        | in(A,B) )
     <= element(A,B) ) )).

fof(t2_tarski,axiom,(
    ! [A,B] :
      ( ! [C] :
          ( in(C,B)
        <=> in(C,A) )
     => B = A ) )).

fof(t3_subset,axiom,(
    ! [A,B] :
      ( element(A,powerset(B))
    <=> subset(A,B) ) )).

