%------------------------------------------------------------------------------
% File     : SEU481^1 : TPTP v4.0.0. Released v3.6.0.
% Domain   : Set Theory (Binary relations)
% Problem  : Satisfying the induction principle implies termination
% Version  : [Nei08] axioms.
% English  :

% Refs     : [BN99]  Baader & Nipkow (1999), Term Rewriting and All That
%          : [Nei08] Neis (2008), Email to Geoff Sutcliffe
% Source   : [Nei08]
% Names    :

% Status   : Theorem
% Rating   : 0.67 v3.7.0
% Syntax   : Number of formulae    :   59 (   0 unit;  29 type;  29 defn)
%            Number of atoms       :  568 (  33 equality; 160 variable)
%            Maximal formula depth :   12 (   7 average)
%            Number of connectives :  161 (   4   ~;   4   |;  12   &; 124   @)
%                                         (   0 <=>;  17  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :  199 ( 199   >;   0   *;   0   +)
%            Number of symbols     :   31 (  29   :;   0  :=)
%            Number of variables   :   87 (   0 sgn;  39   !;   5   ?;  43   ^)
%                                         (  87   :;   0  :=;   0  !>;   0  ?*)

% Comments : Some proofs can be found in chapter 2 of [BN99]
%          : THF0 syntax
%------------------------------------------------------------------------------
%----Include axioms of binary relations
include('Axioms/SET009^0.ax').
%------------------------------------------------------------------------------
thf(induction_implies_termination,conjecture,(
    ! [R: $i > $i > $o] :
      ( ( ind @ R )
     => ( term @ R ) ) )).

%------------------------------------------------------------------------------
