%------------------------------------------------------------------------------
% File     : SEU906^5 : TPTP v4.0.0. Released v4.0.0.
% Domain   : Set Theory
% Problem  : TPS problem from FUNS-AND-SETS-THMS
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0808 [Bro09]

% Status   : Theorem
% Rating   : 0.67 v4.0.0
% Syntax   : Number of formulae    :    3 (   0 unit;   2 type;   0 defn)
%            Number of atoms       :   22 (   2 equality;   7 variable)
%            Maximal formula depth :    7 (   4 average)
%            Number of connectives :    8 (   0   ~;   0   |;   0   &;   5   @)
%                                         (   1 <=>;   2  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :    3 (   3   >;   0   *;   0   +)
%            Number of symbols     :    4 (   2   :;   0  :=)
%            Number of variables   :    4 (   0 sgn;   3   !;   1   ?;   0   ^)
%                                         (   4   :;   0  :=;   0  !>;   0  ?*)

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%------------------------------------------------------------------------------
thf(f,type,(
    f: $i > $i )).

thf(cS,type,(
    cS: $i > $o )).

thf(cSV5_pme,conjecture,
    ( ! [Xx: $i,Xy: $i] :
        ( ( ( f @ Xx )
          = ( f @ Xy ) )
       => ( Xx = Xy ) )
   => ? [Xu: $i > $o] :
      ! [Xx: $i] :
        ( ( cS @ Xx )
      <=> ( Xu @ ( f @ Xx ) ) ) )).

%------------------------------------------------------------------------------
