%------------------------------------------------------------------------------
% File     : SEV185^5 : TPTP v4.0.0. Released v4.0.0.
% Domain   : Set Theory (Sets of sets)
% Problem  : TPS problem THM564
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0453 [Bro09]
%          : THM564 [TPS]

% Status   : Theorem
% Rating   : 0.33 v4.0.0
% Syntax   : Number of formulae    :    2 (   1 unit;   1 type;   0 defn)
%            Number of atoms       :   46 (   0 equality;  24 variable)
%            Maximal formula depth :   13 (   8 average)
%            Number of connectives :   23 (   0   ~;   0   |;   2   &;  13   @)
%                                         (   0 <=>;   8  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :   10 (  10   >;   0   *;   0   +)
%            Number of symbols     :    3 (   1   :;   0  :=)
%            Number of variables   :   11 (   0 sgn;  11   !;   0   ?;   0   ^)
%                                         (  11   :;   0  :=;   0  !>;   0  ?*)

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : Polymorphic definitions expanded.
%------------------------------------------------------------------------------
thf(b_type,type,(
    b: $tType )).

thf(cTHM564_pme,conjecture,(
    ! [P: ( b > $o ) > b > $o,S: ( b > $o ) > $o] :
      ( ! [Xx: b > $o] :
          ( ( S @ Xx )
         => ! [X: b > $o,Xy: b] :
              ( ( ! [Xx0: b] :
                    ( ( X @ Xx0 )
                   => ( Xx @ Xx0 ) )
                & ( P @ X @ Xy ) )
             => ( Xx @ Xy ) ) )
     => ! [X: b > $o,Xy: b] :
          ( ( ! [Xx: b] :
                ( ( X @ Xx )
               => ! [S0: b > $o] :
                    ( ( S @ S0 )
                   => ( S0 @ Xx ) ) )
            & ( P @ X @ Xy ) )
         => ! [S0: b > $o] :
              ( ( S @ S0 )
             => ( S0 @ Xy ) ) ) ) )).

%------------------------------------------------------------------------------
