%------------------------------------------------------------------------------
% File     : SEV239^5 : TPTP v4.0.0. Released v4.0.0.
% Domain   : Set Theory (Sets of sets)
% Problem  : TPS problem X5211
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0492 [Bro09]
%          : X5211 [TPS]

% Status   : Theorem
% Rating   : 0.67 v4.0.0
% Syntax   : Number of formulae    :    3 (   1 unit;   2 type;   0 defn)
%            Number of atoms       :   21 (   3 equality;   7 variable)
%            Maximal formula depth :   12 (   6 average)
%            Number of connectives :    5 (   0   ~;   0   |;   2   &;   3   @)
%                                         (   0 <=>;   0  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :    2 (   2   >;   0   *;   0   +)
%            Number of symbols     :    4 (   2   :;   0  :=)
%            Number of variables   :    5 (   0 sgn;   0   !;   2   ?;   3   ^)
%                                         (   5   :;   0  :=;   0  !>;   0  ?*)

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : Polymorphic definitions expanded.
%------------------------------------------------------------------------------
thf(a_type,type,(
    a: $tType )).

thf(y,type,(
    y: a > $o )).

thf(cX5211_pme,conjecture,
    ( y
    = ( ^ [Xx: a] :
        ? [S: a > $o] :
          ( ? [Xx0: a] :
              ( ( y @ Xx0 )
              & ( S
                = ( ^ [Xx: a,Xy: a] : ( Xx = Xy )
                  @ Xx0 ) ) )
          & ( S @ Xx ) ) ) )).

%------------------------------------------------------------------------------
