fof(first_axiom,axiom,(
    ! [X] : head(X) = first(X) )).

fof(protocol,axiom,(
    ! [Init_1,Init_2,Init_3,Resp_1,Resp_2] :
      ( knows(concatenate(n,concatenate(k_c,sign(concatenate(c,concatenate(k_c,eol)),inverse(k_c)))))
      & ( knows(concatenate(encrypt(sign(concatenate(kgen(Init_2),concatenate(Init_1,eol)),inverse(k_s)),Init_2),sign(concatenate(s,concatenate(k_s,eol)),inverse(k_ca))))
       <= ( knows(Init_2)
          & second(extract(Init_3,Init_2)) = Init_2
          & knows(Init_3)
          & knows(Init_1) ) )
      & ( ( knows(Resp_1)
          & knows(Resp_2)
          & first(extract(Resp_2,k_ca)) = s
          & n = second(extract(decrypt(Resp_1,inverse(k_c)),second(extract(Resp_2,k_ca)))) )
       => knows(symmetric_encrypt(secret,first(extract(decrypt(Resp_1,inverse(k_c)),second(extract(Resp_2,k_ca)))))) ) ) )).

fof(previous_knowledge,axiom,
    ( knows(inverse(k_a))
    & knows(k_a)
    & knows(k_ca) )).

fof(head_axiom,axiom,(
    ! [X,Y] : head(concatenate(X,Y)) = X )).

fof(symmetric_encrypt_equation,axiom,(
    ! [E1,E2] :
      ( ( knows(symmetric_encrypt(E1,E2))
        & knows(E2) )
     => knows(E1) ) )).

fof(symmac_axiom,axiom,(
    ! [X,Y] :
      ( knows(mac(X,Y))
     <= ( knows(X)
        & knows(Y) ) ) )).

fof(second_axiom,axiom,(
    ! [X] : second(X) = head(tail(X)) )).

fof(symmetric_decrypt_axiom,axiom,(
    ! [E,K] : symmetric_decrypt(symmetric_encrypt(E,K),K) = E )).

fof(construct_message_3,axiom,(
    ! [E] :
      ( ( knows(head(E))
        & knows(hash(E))
        & knows(tail(E)) )
     <= knows(E) ) )).

fof(attack,conjecture,(
    knows(secret) )).

fof(third_axiom,axiom,(
    ! [X] : head(tail(tail(X))) = third(X) )).

fof(encrypt_equation,axiom,(
    ! [E1,E2] :
      ( ( knows(encrypt(E1,E2))
        & knows(inverse(E2)) )
     => knows(E1) ) )).

fof(decrypt_axiom,axiom,(
    ! [E,K] : decrypt(encrypt(E,K),inverse(K)) = E )).

fof(tail_axiom,axiom,(
    ! [X,Y] : tail(concatenate(X,Y)) = Y )).

fof(construct_message_1,axiom,(
    ! [E1,E2] :
      ( ( knows(concatenate(E1,E2))
        & knows(encrypt(E1,E2))
        & knows(symmetric_encrypt(E1,E2))
        & knows(decrypt(E1,E2))
        & knows(symmetric_decrypt(E1,E2))
        & knows(sign(E1,E2))
        & knows(extract(E1,E2)) )
     <= ( knows(E1)
        & knows(E2) ) ) )).

fof(construct_message_2,axiom,(
    ! [E1,E2] :
      ( knows(concatenate(E1,E2))
     => ( knows(E1)
        & knows(E2) ) ) )).

fof(fourth_axiom,axiom,(
    ! [X] : fourth(X) = head(tail(tail(tail(X)))) )).

fof(sign_axiom,axiom,(
    ! [E,K] : E = extract(sign(E,inverse(K)),K) )).

fof(sign_equation,axiom,(
    ! [E,K] :
      ( knows(E)
     <= ( knows(sign(E,inverse(K)))
        & knows(K) ) ) )).

