fof(plus_commutative,axiom,(
    ! [I,J] : plus(I,J) = plus(J,I) )).

fof(plus_zero,axiom,(
    ! [I] : plus(I,int_zero) = I )).

fof(int_zero_one,axiom,(
    int_less(int_zero,int_one) )).

fof(plus_and_inverse,axiom,(
    ! [I,J] :
      ( int_less(I,J)
    <=> ? [K] :
          ( int_less(int_zero,K)
          & J = plus(I,K) ) ) )).

fof(int_less_total,axiom,(
    ! [I,J] :
      ( int_leq(J,I)
      | int_less(I,J) ) )).

fof(plus_and_order1,axiom,(
    ! [I1,J1,I2,J2] :
      ( ( int_leq(I2,J2)
        & int_less(I1,J1) )
     => int_leq(plus(I1,I2),plus(J1,J2)) ) )).

fof(real_constants,axiom,(
    real_one != real_zero )).

fof(one_successor_of_zero,axiom,(
    ! [I] :
      ( int_less(int_zero,I)
    <=> int_leq(int_one,I) ) )).

fof(int_leq,axiom,(
    ! [I,J] :
      ( ( int_less(I,J)
        | I = J )
    <=> int_leq(I,J) ) )).

fof(int_less_transitive,axiom,(
    ! [I,J,K] :
      ( ( int_less(J,K)
        & int_less(I,J) )
     => int_less(I,K) ) )).

fof(lt,conjecture,(
    ! [I,J] :
      ( real_zero = a(I,J)
     <= ( int_leq(int_one,I)
        & int_less(I,J)
        & int_leq(J,n) ) ) )).

fof(int_less_irreflexive,axiom,(
    ! [I,J] :
      ( J != I
     <= int_less(I,J) ) )).

fof(qih,hypothesis,(
    ! [I,J] :
      ( ( int_leq(int_one,I)
        & int_leq(I,n)
        & int_leq(J,n)
        & int_leq(int_one,J) )
     => ( ! [C] :
            ( ( int_less(int_zero,C)
              & I = plus(J,C) )
           => ! [K] :
                ( qr(plus(K,C),K) = a(plus(K,C),K)
               <= ( int_leq(int_one,K)
                  & int_leq(K,J) ) ) )
        & ! [C] :
            ( ! [K] :
                ( ( int_leq(int_one,K)
                  & int_leq(K,I) )
               => a(K,plus(K,C)) = real_zero )
           <= ( plus(I,C) = J
              & int_less(int_zero,C) ) ) ) ) )).

