fof(int_less_total,axiom,(
    ! [I,J] :
      ( int_leq(J,I)
      | int_less(I,J) ) )).

fof(int_less_transitive,axiom,(
    ! [I,J,K] :
      ( ( int_less(J,K)
        & int_less(I,J) )
     => int_less(I,K) ) )).

fof(qil,hypothesis,(
    ! [I,J] :
      ( ( ! [K] :
            ( real_one = a(K,K)
           <= ( int_leq(K,J)
              & int_leq(int_one,K) ) )
        & ! [C] :
            ( ! [K] :
                ( ( int_leq(int_one,K)
                  & int_leq(K,I) )
               => real_zero = a(K,plus(K,C)) )
           <= ( int_less(int_zero,C)
              & J = plus(I,C) ) )
        & ! [C] :
            ( ( int_less(int_zero,C)
              & I = plus(J,C) )
           => ! [K] :
                ( ( int_leq(K,J)
                  & int_leq(int_one,K) )
               => a(plus(K,C),K) = lu(plus(K,C),K) ) ) )
     <= ( int_leq(I,n)
        & int_leq(J,n)
        & int_leq(int_one,J)
        & int_leq(int_one,I) ) ) )).

fof(real_constants,axiom,(
    real_one != real_zero )).

fof(plus_and_order1,axiom,(
    ! [I1,J1,I2,J2] :
      ( int_leq(plus(I1,I2),plus(J1,J2))
     <= ( int_leq(I2,J2)
        & int_less(I1,J1) ) ) )).

fof(plus_zero,axiom,(
    ! [I] : I = plus(I,int_zero) )).

fof(plus_and_inverse,axiom,(
    ! [I,J] :
      ( ? [K] :
          ( plus(I,K) = J
          & int_less(int_zero,K) )
    <=> int_less(I,J) ) )).

fof(lt,conjecture,(
    ! [I,J] :
      ( a(I,J) = real_zero
     <= ( int_leq(J,n)
        & int_less(I,J)
        & int_leq(int_one,I) ) ) )).

fof(int_less_irreflexive,axiom,(
    ! [I,J] :
      ( I != J
     <= int_less(I,J) ) )).

fof(int_leq,axiom,(
    ! [I,J] :
      ( ( J = I
        | int_less(I,J) )
    <=> int_leq(I,J) ) )).

fof(plus_commutative,axiom,(
    ! [I,J] : plus(I,J) = plus(J,I) )).

fof(int_zero_one,axiom,(
    int_less(int_zero,int_one) )).

fof(one_successor_of_zero,axiom,(
    ! [I] :
      ( int_less(int_zero,I)
    <=> int_leq(int_one,I) ) )).

