fof(one_successor_of_zero,axiom,(
    ! [I] :
      ( int_less(int_zero,I)
    <=> int_leq(int_one,I) ) )).

fof(plus_and_order1,axiom,(
    ! [I1,J1,I2,J2] :
      ( ( int_less(I1,J1)
        & int_leq(I2,J2) )
     => int_leq(plus(I1,I2),plus(J1,J2)) ) )).

fof(lt,conjecture,(
    ! [I,J] :
      ( real_zero = a(I,J)
     <= ( int_leq(int_one,I)
        & int_leq(J,n)
        & int_less(I,J) ) ) )).

fof(int_leq,axiom,(
    ! [I,J] :
      ( ( int_less(I,J)
        | J = I )
    <=> int_leq(I,J) ) )).

fof(int_less_irreflexive,axiom,(
    ! [I,J] :
      ( I != J
     <= int_less(I,J) ) )).

fof(plus_and_inverse,axiom,(
    ! [I,J] :
      ( ? [K] :
          ( int_less(int_zero,K)
          & J = plus(I,K) )
    <=> int_less(I,J) ) )).

fof(real_constants,axiom,(
    real_one != real_zero )).

fof(int_less_transitive,axiom,(
    ! [I,J,K] :
      ( ( int_less(I,J)
        & int_less(J,K) )
     => int_less(I,K) ) )).

fof(plus_zero,axiom,(
    ! [I] : plus(I,int_zero) = I )).

fof(qii,hypothesis,(
    ! [I,J] :
      ( ( ! [C] :
            ( ! [K] :
                ( ( int_leq(int_one,K)
                  & int_leq(K,J) )
               => a(plus(K,C),K) = real_zero )
           <= ( int_less(int_zero,C)
              & plus(J,C) = I ) )
        & ! [K] :
            ( real_one = a(K,K)
           <= ( int_leq(K,J)
              & int_leq(int_one,K) ) )
        & ! [C] :
            ( ! [K] :
                ( ( int_leq(K,I)
                  & int_leq(int_one,K) )
               => real_zero = a(K,plus(K,C)) )
           <= ( J = plus(I,C)
              & int_less(int_zero,C) ) ) )
     <= ( int_leq(int_one,I)
        & int_leq(int_one,J)
        & int_leq(J,n)
        & int_leq(I,n) ) ) )).

fof(plus_commutative,axiom,(
    ! [I,J] : plus(J,I) = plus(I,J) )).

fof(int_less_total,axiom,(
    ! [I,J] :
      ( int_less(I,J)
      | int_leq(J,I) ) )).

fof(int_zero_one,axiom,(
    int_less(int_zero,int_one) )).

