%------------------------------------------------------------------------------
% File     : SYO250^5 : TPTP v4.0.0. Released v4.0.0.
% Domain   : Syntactic
% Problem  : TPS problem from BASIC-HO-EQ-THMS
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_1247 [Bro09]

% Status   : Theorem
% Rating   : 0.33 v4.0.0
% Syntax   : Number of formulae    :    1 (   0 unit;   0 type;   0 defn)
%            Number of atoms       :  348 (  90 equality; 244 variable)
%            Maximal formula depth :   73 (  73 average)
%            Number of connectives :  223 (  70   ~;   5   |;  76   &;  64   @)
%                                         (   0 <=>;   8  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :    1 (   1   >;   0   *;   0   +)
%            Number of symbols     :    1 (   0   :;   0  :=)
%            Number of variables   :   13 (   0 sgn;   1   !;  12   ?;   0   ^)
%                                         (  13   :;   0  :=;   0  !>;   0  ?*)

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%------------------------------------------------------------------------------
thf(cSIXFRIENDS,conjecture,(
    ? [Xa: $i,Xaa: $i,Xb: $i,Xbb: $i,Xc: $i,Xcc: $i,Xd: $i,Xdd: $i,Xe: $i,Xee: $i,Xh: $i,Xhh: $i] :
      ( ( ( Xa != Xaa )
        & ( Xa != Xb )
        & ( Xa != Xbb )
        & ( Xa != Xc )
        & ( Xa != Xcc )
        & ( Xa != Xd )
        & ( Xa != Xdd )
        & ( Xa != Xe )
        & ( Xa != Xee )
        & ( Xa != Xh )
        & ( Xa != Xhh )
        & ( Xaa != Xb )
        & ( Xaa != Xbb )
        & ( Xaa != Xc )
        & ( Xaa != Xcc )
        & ( Xaa != Xd )
        & ( Xaa != Xdd )
        & ( Xaa != Xe )
        & ( Xaa != Xee )
        & ( Xaa != Xh )
        & ( Xaa != Xhh )
        & ( Xb != Xbb )
        & ( Xb != Xc )
        & ( Xb != Xcc )
        & ( Xb != Xd )
        & ( Xb != Xdd )
        & ( Xb != Xe )
        & ( Xb != Xee )
        & ( Xb != Xh )
        & ( Xb != Xhh )
        & ( Xc != Xcc )
        & ( Xc != Xd )
        & ( Xc != Xdd )
        & ( Xc != Xe )
        & ( Xc != Xee )
        & ( Xc != Xh )
        & ( Xc != Xhh )
        & ( Xcc != Xd )
        & ( Xcc != Xdd )
        & ( Xcc != Xe )
        & ( Xcc != Xee )
        & ( Xcc != Xh )
        & ( Xcc != Xhh )
        & ( Xd != Xdd )
        & ( Xd != Xe )
        & ( Xd != Xee )
        & ( Xd != Xh )
        & ( Xd != Xhh )
        & ( Xdd != Xe )
        & ( Xdd != Xee )
        & ( Xdd != Xh )
        & ( Xdd != Xhh )
        & ( Xe != Xee )
        & ( Xe != Xh )
        & ( Xe != Xhh )
        & ( Xee != Xh )
        & ( Xee != Xhh )
        & ( Xh != Xhh ) )
     => ! [P: $i > $i] :
          ( ( ( ( ( ( P @ Xa )
                  = ( P @ Xaa ) )
                & ( ( P @ Xb )
                  = ( P @ Xbb ) )
                & ( ( P @ Xe )
                  = ( P @ Xhh ) ) )
             => ( ( P @ Xc )
                = ( P @ Xdd ) ) )
            & ( ( ( ( P @ Xa )
                  = ( P @ Xaa ) )
                & ( ( P @ Xh )
                  = ( P @ Xhh ) )
                & ( ( P @ Xb )
                  = ( P @ Xcc ) ) )
             => ( ( P @ Xd )
               != ( P @ Xee ) ) )
            & ( ( ( ( P @ Xc )
                  = ( P @ Xcc ) )
                & ( ( P @ Xcc )
                  = ( P @ Xd ) )
                & ( ( P @ Xd )
                  = ( P @ Xdd ) )
                & ( ( P @ Xa )
                 != ( P @ Xbb ) ) )
             => ( ( P @ Xe )
               != ( P @ Xhh ) ) )
            & ( ( ( ( P @ Xa )
                  = ( P @ Xaa ) )
                & ( ( P @ Xd )
                  = ( P @ Xdd ) )
                & ( ( P @ Xb )
                 != ( P @ Xcc ) ) )
             => ( ( P @ Xe )
                = ( P @ Xhh ) ) )
            & ( ( ( ( P @ Xe )
                  = ( P @ Xee ) )
                & ( ( P @ Xh )
                  = ( P @ Xhh ) )
                & ( ( P @ Xc )
                  = ( P @ Xdd ) ) )
             => ( ( P @ Xa )
               != ( P @ Xbb ) ) )
            & ( ( ( ( P @ Xb )
                  = ( P @ Xbb ) )
                & ( ( P @ Xbb )
                  = ( P @ Xc ) )
                & ( ( P @ Xc )
                  = ( P @ Xcc ) )
                & ( ( P @ Xe )
                 != ( P @ Xhh ) ) )
             => ( ( P @ Xd )
                = ( P @ Xee ) ) ) )
         => ( ( ( P @ Xa )
             != ( P @ Xaa ) )
            | ( ( P @ Xb )
             != ( P @ Xbb ) )
            | ( ( P @ Xc )
             != ( P @ Xcc ) )
            | ( ( P @ Xd )
             != ( P @ Xdd ) )
            | ( ( P @ Xe )
             != ( P @ Xee ) )
            | ( ( P @ Xh )
             != ( P @ Xhh ) ) ) ) ) )).

%------------------------------------------------------------------------------
