%------------------------------------------------------------------------------
% File     : SYO391^5 : TPTP v4.0.0. Released v4.0.0.
% Domain   : Syntactic
% Problem  : TPS problem from MISC
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_1245 [Bro09]

% Status   : Theorem
% Rating   : 0.67 v4.0.0
% Syntax   : Number of formulae    :   19 (   4 unit;  18 type;   0 defn)
%            Number of atoms       :  351 (   0 equality; 105 variable)
%            Maximal formula depth :   53 (   6 average)
%            Number of connectives :  273 (  32   ~;  30   |;  37   &; 174   @)
%                                         (   0 <=>;   0  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :   34 (  34   >;   0   *;   0   +)
%            Number of symbols     :   20 (  18   :;   0  :=)
%            Number of variables   :   57 (   0 sgn;  57   !;   0   ?;   0   ^)
%                                         (  57   :;   0  :=;   0  !>;   0  ?*)

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%------------------------------------------------------------------------------
thf(cQ_7,type,(
    cQ_7: $i > $i > $i > $o )).

thf(f,type,(
    f: $i > $i )).

thf(cP_6,type,(
    cP_6: $i > $i > $o )).

thf(cQ_6,type,(
    cQ_6: $i > $i > $i > $o )).

thf(d,type,(
    d: $i )).

thf(c,type,(
    c: $i )).

thf(b,type,(
    b: $i )).

thf(a,type,(
    a: $i )).

thf(cP_5,type,(
    cP_5: $i > $i > $o )).

thf(cQ_5,type,(
    cQ_5: $i > $i > $i > $o )).

thf(cP_4,type,(
    cP_4: $i > $i > $o )).

thf(cQ_4,type,(
    cQ_4: $i > $i > $i > $o )).

thf(cP_3,type,(
    cP_3: $i > $i > $o )).

thf(cQ_3,type,(
    cQ_3: $i > $i > $i > $o )).

thf(cP_2,type,(
    cP_2: $i > $i > $o )).

thf(cQ_2,type,(
    cQ_2: $i > $i > $i > $o )).

thf(cP_1,type,(
    cP_1: $i > $i > $o )).

thf(cQ_1,type,(
    cQ_1: $i > $i > $i > $o )).

thf(cTHM409_6,conjecture,(
    ~ ( ( cQ_1 @ a @ b @ c )
      & ( cP_1 @ a @ a )
      & ( cP_1 @ b @ b )
      & ( cP_1 @ c @ c )
      & ! [Xx: $i] :
          ( cP_1 @ d @ Xx )
      & ! [Xx: $i,Xy: $i] :
          ( ~ ( cP_1 @ Xx @ Xy )
          | ( cP_1 @ ( f @ Xx ) @ Xy ) )
      & ! [Xx: $i,Xy: $i,Xz: $i,Xu: $i,Xv: $i,Xw: $i] :
          ( ~ ( cQ_1 @ Xx @ Xy @ Xz )
          | ~ ( cP_1 @ ( f @ Xx ) @ Xu )
          | ~ ( cP_1 @ ( f @ Xy ) @ Xv )
          | ~ ( cP_1 @ ( f @ Xz ) @ Xw )
          | ( cQ_2 @ Xu @ Xv @ Xw ) )
      & ( cP_2 @ a @ a )
      & ( cP_2 @ b @ b )
      & ( cP_2 @ c @ c )
      & ! [Xx: $i] :
          ( cP_2 @ d @ Xx )
      & ! [Xx: $i,Xy: $i] :
          ( ~ ( cP_2 @ Xx @ Xy )
          | ( cP_2 @ ( f @ Xx ) @ Xy ) )
      & ! [Xx: $i,Xy: $i,Xz: $i,Xu: $i,Xv: $i,Xw: $i] :
          ( ~ ( cQ_2 @ Xx @ Xy @ Xz )
          | ~ ( cP_2 @ ( f @ Xx ) @ Xu )
          | ~ ( cP_2 @ ( f @ Xy ) @ Xv )
          | ~ ( cP_2 @ ( f @ Xz ) @ Xw )
          | ( cQ_3 @ Xu @ Xv @ Xw ) )
      & ( cP_3 @ a @ a )
      & ( cP_3 @ b @ b )
      & ( cP_3 @ c @ c )
      & ! [Xx: $i] :
          ( cP_3 @ d @ Xx )
      & ! [Xx: $i,Xy: $i] :
          ( ~ ( cP_3 @ Xx @ Xy )
          | ( cP_3 @ ( f @ Xx ) @ Xy ) )
      & ! [Xx: $i,Xy: $i,Xz: $i,Xu: $i,Xv: $i,Xw: $i] :
          ( ~ ( cQ_3 @ Xx @ Xy @ Xz )
          | ~ ( cP_3 @ ( f @ Xx ) @ Xu )
          | ~ ( cP_3 @ ( f @ Xy ) @ Xv )
          | ~ ( cP_3 @ ( f @ Xz ) @ Xw )
          | ( cQ_4 @ Xu @ Xv @ Xw ) )
      & ( cP_4 @ a @ a )
      & ( cP_4 @ b @ b )
      & ( cP_4 @ c @ c )
      & ! [Xx: $i] :
          ( cP_4 @ d @ Xx )
      & ! [Xx: $i,Xy: $i] :
          ( ~ ( cP_4 @ Xx @ Xy )
          | ( cP_4 @ ( f @ Xx ) @ Xy ) )
      & ! [Xx: $i,Xy: $i,Xz: $i,Xu: $i,Xv: $i,Xw: $i] :
          ( ~ ( cQ_4 @ Xx @ Xy @ Xz )
          | ~ ( cP_4 @ ( f @ Xx ) @ Xu )
          | ~ ( cP_4 @ ( f @ Xy ) @ Xv )
          | ~ ( cP_4 @ ( f @ Xz ) @ Xw )
          | ( cQ_5 @ Xu @ Xv @ Xw ) )
      & ( cP_5 @ a @ a )
      & ( cP_5 @ b @ b )
      & ( cP_5 @ c @ c )
      & ! [Xx: $i] :
          ( cP_5 @ d @ Xx )
      & ! [Xx: $i,Xy: $i] :
          ( ~ ( cP_5 @ Xx @ Xy )
          | ( cP_5 @ ( f @ Xx ) @ Xy ) )
      & ! [Xx: $i,Xy: $i,Xz: $i,Xu: $i,Xv: $i,Xw: $i] :
          ( ~ ( cQ_5 @ Xx @ Xy @ Xz )
          | ~ ( cP_5 @ ( f @ Xx ) @ Xu )
          | ~ ( cP_5 @ ( f @ Xy ) @ Xv )
          | ~ ( cP_5 @ ( f @ Xz ) @ Xw )
          | ( cQ_6 @ Xu @ Xv @ Xw ) )
      & ( cP_6 @ a @ a )
      & ( cP_6 @ b @ b )
      & ( cP_6 @ c @ c )
      & ! [Xx: $i] :
          ( cP_6 @ d @ Xx )
      & ! [Xx: $i,Xy: $i] :
          ( ~ ( cP_6 @ Xx @ Xy )
          | ( cP_6 @ ( f @ Xx ) @ Xy ) )
      & ! [Xx: $i,Xy: $i,Xz: $i,Xu: $i,Xv: $i,Xw: $i] :
          ( ~ ( cQ_6 @ Xx @ Xy @ Xz )
          | ~ ( cP_6 @ ( f @ Xx ) @ Xu )
          | ~ ( cP_6 @ ( f @ Xy ) @ Xv )
          | ~ ( cP_6 @ ( f @ Xz ) @ Xw )
          | ( cQ_7 @ Xu @ Xv @ Xw ) )
      & ! [Xx: $i,Xy: $i,Xz: $i] :
          ~ ( cQ_7 @ Xx @ Xy @ Xz ) ) )).

%------------------------------------------------------------------------------
